public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-07-03 19:18 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-07-03 19:18 UTC (permalink / raw
  To: gentoo-commits

commit:     fa68db7ce4af57654fa8b7de1bb9b64d5e6b0bd0
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  3 19:03:23 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sun Jul  3 19:17:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa68db7c

net-voip/murmur: sync live ebuild

Closes: https://bugs.gentoo.org/814785
Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-9999.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/net-voip/murmur/murmur-9999.ebuild b/net-voip/murmur/murmur-9999.ebuild
index 00fd25ef4af5..13d53c0b08f9 100644
--- a/net-voip/murmur/murmur-9999.ebuild
+++ b/net-voip/murmur/murmur-9999.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://wiki.mumble.info"
 if [[ "${PV}" == 9999 ]] ; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
-	EGIT_SUBMODULES=( '-*' )
+	EGIT_SUBMODULES=( '-*' 3rdparty/FindPythonInterpreter 3rdparty/gsl 3rdparty/tracy )
 else
 	MY_PN="mumble"
 	if [[ "${PV}" == *_pre* ]] ; then
@@ -130,7 +130,7 @@ src_configure() {
 src_install() {
 	cmake_src_install
 
-	dodoc README.md CHANGES
+	dodoc README.md
 
 	docinto scripts
 	dodoc -r scripts/server
@@ -164,7 +164,7 @@ src_install() {
 	fowners root:murmur ${etcdir}/murmur.ini
 	fperms 640 ${etcdir}/murmur.ini
 
-	doman man/murmurd.1
+	newman man/mumble-server.1 murmurd.1
 
 	readme.gentoo_create_doc
 }


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-07-03 19:18 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-07-03 19:18 UTC (permalink / raw
  To: gentoo-commits

commit:     b19b7b7bfa8854ff98ffe5bee099e256cae9fa23
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  3 18:39:05 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sun Jul  3 19:17:46 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b19b7b7b

net-voip/murmur: append -fsigned-char to CXXFLAGS

This fixes tests (and possibly runtime issues) on arches with unsigned
chars.

Bug: https://bugs.gentoo.org/832978
Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-1.4.230-r2.ebuild | 7 ++++++-
 net-voip/murmur/murmur-9999.ebuild       | 7 ++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/net-voip/murmur/murmur-1.4.230-r2.ebuild b/net-voip/murmur/murmur-1.4.230-r2.ebuild
index d0e26545bd3d..cb402564c70b 100644
--- a/net-voip/murmur/murmur-1.4.230-r2.ebuild
+++ b/net-voip/murmur/murmur-1.4.230-r2.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit cmake systemd readme.gentoo-r1 tmpfiles
+inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
 
 DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
 HOMEPAGE="https://wiki.mumble.info"
@@ -125,6 +125,11 @@ src_configure() {
 	if [[ "${PV}" != 9999 ]] ; then
 		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
 	fi
+
+	# https://bugs.gentoo.org/832978
+	# fix tests (and possibly runtime issues) on arches with unsigned chars
+	append-cxxflags -fsigned-char
+
 	cmake_src_configure
 }
 

diff --git a/net-voip/murmur/murmur-9999.ebuild b/net-voip/murmur/murmur-9999.ebuild
index d5c37496cf5d..00fd25ef4af5 100644
--- a/net-voip/murmur/murmur-9999.ebuild
+++ b/net-voip/murmur/murmur-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit cmake systemd readme.gentoo-r1 tmpfiles
+inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
 
 DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
 HOMEPAGE="https://wiki.mumble.info"
@@ -119,6 +119,11 @@ src_configure() {
 	if [[ "${PV}" != 9999 ]] ; then
 		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
 	fi
+
+	# https://bugs.gentoo.org/832978
+	# fix tests (and possibly runtime issues) on arches with unsigned chars
+	append-cxxflags -fsigned-char
+
 	cmake_src_configure
 }
 


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-07-03 19:18 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-07-03 19:18 UTC (permalink / raw
  To: gentoo-commits

commit:     6293651d2b6399f507b5ab2a3ddeefc54c585db2
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  3 19:11:36 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sun Jul  3 19:17:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6293651d

net-voip/murmur: bump revision for 1.4.230

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/{murmur-1.4.230-r2.ebuild => murmur-1.4.230-r3.ebuild} | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

diff --git a/net-voip/murmur/murmur-1.4.230-r2.ebuild b/net-voip/murmur/murmur-1.4.230-r3.ebuild
similarity index 100%
rename from net-voip/murmur/murmur-1.4.230-r2.ebuild
rename to net-voip/murmur/murmur-1.4.230-r3.ebuild


^ permalink raw reply	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-08-17 21:13 Sam James
  0 siblings, 0 replies; 28+ messages in thread
From: Sam James @ 2022-08-17 21:13 UTC (permalink / raw
  To: gentoo-commits

commit:     2383a6f58014f98e949f4604bc526c809e245fd8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 17 21:12:54 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 17 21:12:54 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2383a6f5

net-voip/murmur: Keyword 1.4.230-r3 arm, #834851

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-voip/murmur/murmur-1.4.230-r3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-1.4.230-r3.ebuild b/net-voip/murmur/murmur-1.4.230-r3.ebuild
index cb402564c70b..590fc34342b0 100644
--- a/net-voip/murmur/murmur-1.4.230-r3.ebuild
+++ b/net-voip/murmur/murmur-1.4.230-r3.ebuild
@@ -24,7 +24,7 @@ else
 			https://dl.mumble.info/${MY_P}.tar.gz"
 		S="${WORKDIR}/${MY_PN}-${PV/_*}.src"
 	fi
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="~amd64 ~arm ~x86"
 fi
 
 SRC_URI+=" https://dev.gentoo.org/~polynomial-c/mumble-1.4-openssl3.patch.xz"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-08-18 16:45 Arthur Zamarin
  0 siblings, 0 replies; 28+ messages in thread
From: Arthur Zamarin @ 2022-08-18 16:45 UTC (permalink / raw
  To: gentoo-commits

commit:     5f80cf70232cb3754a2605a0d7715f42aca68ec1
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 18 16:45:33 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Aug 18 16:45:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f80cf70

net-voip/murmur: Keyword 1.4.230-r3 arm64, #834851

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 net-voip/murmur/murmur-1.4.230-r3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-1.4.230-r3.ebuild b/net-voip/murmur/murmur-1.4.230-r3.ebuild
index 590fc34342b0..f57c3e0b18ef 100644
--- a/net-voip/murmur/murmur-1.4.230-r3.ebuild
+++ b/net-voip/murmur/murmur-1.4.230-r3.ebuild
@@ -24,7 +24,7 @@ else
 			https://dl.mumble.info/${MY_P}.tar.gz"
 		S="${WORKDIR}/${MY_PN}-${PV/_*}.src"
 	fi
-	KEYWORDS="~amd64 ~arm ~x86"
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
 fi
 
 SRC_URI+=" https://dev.gentoo.org/~polynomial-c/mumble-1.4-openssl3.patch.xz"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-08-21 21:07 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-08-21 21:07 UTC (permalink / raw
  To: gentoo-commits

commit:     36b693c428554e6a7a4291ca8c76e7e5ddca1d80
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 21 21:04:22 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sun Aug 21 21:04:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36b693c4

net-voip/murmur: add 1.4.274

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/Manifest              |   1 +
 net-voip/murmur/murmur-1.4.274.ebuild | 181 ++++++++++++++++++++++++++++++++++
 2 files changed, 182 insertions(+)

diff --git a/net-voip/murmur/Manifest b/net-voip/murmur/Manifest
index 04a9a00d763c..f05002991fd7 100644
--- a/net-voip/murmur/Manifest
+++ b/net-voip/murmur/Manifest
@@ -2,3 +2,4 @@ DIST mumble-1.3.3.tar.gz 8591354 BLAKE2B e5bf4d0a21f3c9af761b0892c4a5a7d86244d32
 DIST mumble-1.3.4.tar.gz 8592741 BLAKE2B bcde3fd859ec4faea06f996cd4c583af7c0b8409cca79cb05ef8ba7fcdeac9e49ed1d07a4131225dd582da7610190d4006abc731fd4276b2288e02e8c18effb6 SHA512 e2dde5aad30d1a931e7acd8d7db0b8c785d3a268d0b8cf5626fa03953a51bcadb719c6682c440d02524e83beee13d73d8f5bb3fdf98ab1c82d3ecf824cc25f68
 DIST mumble-1.4-openssl3.patch.xz 4172 BLAKE2B 5b68f023e218628a4d73b0991dcc7790ce5f92ce6a27c372c5e80b1f3a8beafa3ddd6416b884705b321aee31ea4f5e09dda6ceb240272dde64f420fbeb06845a SHA512 3a4e504f3365e93418cb85d0da4e6f2f54ab904283743907604bb39276560a4215d9bea1b225601789d1c3d84d270c04840ec57cd04e3df1204cc586ea42562a
 DIST mumble-1.4.230.tar.gz 9441667 BLAKE2B da433f3c15d7e45dfac0c8a78c9dbe86ba8d5cd078d2d87fd4d90718968fc9e5928c3c5c5ba2e40a8a54d02a646c5fc6a7ee2fff4b71dfa411d74f395b097c26 SHA512 6cffc7a95d88b33876f4093b99266468210f5c14f190fbd2fbe4991bef91a567e55296e7c8c6cc99e19c054853211085cc3cc08109e367e6776afb70766b3a53
+DIST mumble-1.4.274.tar.gz 9446657 BLAKE2B db1909eaab0bd1fca1f65023ff695c753af7721032305ad0c2da8246cfd91f0ed097fe0dc3b6e09c96a78f1b9df671847e1c48f3f24ac58b477148b91e24e660 SHA512 6a585b75db966c45783eab9097dc93d597ef1b718a3b7b9cf544f92c94d4305c2cac6c959931ade62d5d104a89cb41e7ca44347d49ec170687fc92d2e8b718a2

diff --git a/net-voip/murmur/murmur-1.4.274.ebuild b/net-voip/murmur/murmur-1.4.274.ebuild
new file mode 100644
index 000000000000..2f572ab1a86e
--- /dev/null
+++ b/net-voip/murmur/murmur-1.4.274.ebuild
@@ -0,0 +1,181 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="https://wiki.mumble.info"
+if [[ "${PV}" == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
+	EGIT_SUBMODULES=( '-*' )
+else
+	MY_PN="mumble"
+	if [[ "${PV}" == *_pre* ]] ; then
+		MY_P="${MY_PN}-${PV}"
+		SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${MY_P}.tar.xz"
+		S="${WORKDIR}/${MY_P}"
+	else
+		MY_PV="${PV/_/-}"
+		MY_P="${MY_PN}-${MY_PV}"
+		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz
+			https://dl.mumble.info/${MY_P}.tar.gz"
+		S="${WORKDIR}/${MY_PN}-src"
+	fi
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+SRC_URI+=" https://dev.gentoo.org/~polynomial-c/mumble-1.4-openssl3.patch.xz"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="+dbus grpc +ice test zeroconf"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	acct-group/murmur
+	acct-user/murmur
+	>=dev-libs/openssl-1.0.0b:0=
+	>=dev-libs/protobuf-2.2.0:=
+	dev-qt/qtcore:5
+	dev-qt/qtnetwork:5
+	|| (
+		dev-qt/qtsql:5[sqlite]
+		dev-qt/qtsql:5[mysql]
+	)
+	dev-qt/qtxml:5
+	sys-apps/lsb-release
+	>=sys-libs/libcap-2.15
+	dbus? ( dev-qt/qtdbus:5 )
+	grpc? ( net-libs/grpc )
+	ice? ( dev-libs/Ice:= )
+	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+"
+
+DEPEND="${RDEPEND}
+	>=dev-libs/boost-1.41.0
+	dev-qt/qttest:5
+"
+BDEPEND="
+	acct-group/murmur
+	acct-user/murmur
+	virtual/pkgconfig
+"
+
+if [[ "${PV}" == *9999 ]] ; then
+	# Required for the mkini.sh script which calls perl multiple times
+	BDEPEND+="
+		dev-lang/perl
+	"
+fi
+
+DOC_CONTENTS="
+	Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
+	Please execute:\n
+	murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
+	chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
+	to set the build-in 'SuperUser' password before starting murmur.
+	Please restart dbus before starting murmur, or else dbus
+	registration will fail.
+"
+
+PATCHES=(
+	"${WORKDIR}/mumble-1.4-openssl3.patch"
+)
+
+src_prepare() {
+	if [[ "${PV}" == *9999 ]] ; then
+		pushd scripts &>/dev/null || die
+		./mkini.sh || die
+		popd &>/dev/null || die
+	fi
+
+	sed \
+		-e 's:mumble-server:murmur:g' \
+		-e 's:/var/run:/run:g' \
+		-i "${S}"/scripts/murmur.{conf,ini} || die
+
+	# Adjust systemd service file to our config location #689208
+	sed \
+		-e "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
+		-e "s@murmurd@mumble-server@" \
+		-i scripts/${PN}.service || die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	myuse() {
+		[[ -n "${1}" ]] || die "myconf: No use flag given."
+		use ${1} || echo "no-${1}"
+	}
+	local mycmakeargs=(
+		-DBUILD_TESTING="$(usex test)"
+		-Dclient="OFF"
+		-Ddbus="$(usex dbus)"
+		-Dg15="OFF"
+		-Dgrpc="$(usex grpc)"
+		-Dice="$(usex ice)"
+		-Doverlay="OFF"
+		-Dserver="ON"
+		-Dzeroconf="$(usex zeroconf)"
+	)
+	if [[ "${PV}" != 9999 ]] ; then
+		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
+	fi
+
+	# https://bugs.gentoo.org/832978
+	# fix tests (and possibly runtime issues) on arches with unsigned chars
+	append-cxxflags -fsigned-char
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	dodoc README.md CHANGES
+
+	docinto scripts
+	dodoc -r scripts/server
+	docompress -x /usr/share/doc/${PF}/scripts
+
+	local etcdir="/etc/murmur"
+	insinto ${etcdir}
+	doins scripts/${PN}.ini
+
+	insinto /etc/logrotate.d/
+	newins "${FILESDIR}"/murmur.logrotate murmur
+
+	insinto /etc/dbus-1/system.d/
+	doins scripts/murmur.conf
+
+	insinto /usr/share/murmur/
+	doins src/murmur/Murmur.ice
+
+	newinitd "${FILESDIR}"/murmur.initd-r2 murmur
+	newconfd "${FILESDIR}"/murmur.confd murmur
+
+	systemd_dounit scripts/${PN}.service
+	newtmpfiles "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
+
+	keepdir /var/lib/murmur /var/log/murmur
+	fowners -R murmur /var/lib/murmur /var/log/murmur
+	fperms 750 /var/lib/murmur /var/log/murmur
+
+	# Fix permissions on config file as it might contain passwords.
+	# (bug #559362)
+	fowners root:murmur ${etcdir}/murmur.ini
+	fperms 640 ${etcdir}/murmur.ini
+
+	doman man/mumble-server.1
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	tmpfiles_process ${PN}.conf
+	readme.gentoo_print_elog
+}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-08-31 14:52 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-08-31 14:52 UTC (permalink / raw
  To: gentoo-commits

commit:     49efb943a46068b3f6a00220947ac0b16668d757
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 14:23:12 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 14:50:28 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49efb943

net-voip/murmur: fix ODR violations, apply crypto threads patch

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/Manifest                                          | 2 ++
 .../murmur/{murmur-1.4.274.ebuild => murmur-1.4.274-r1.ebuild}    | 8 ++++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/net-voip/murmur/Manifest b/net-voip/murmur/Manifest
index f05002991fd7..ae1e2cd591a5 100644
--- a/net-voip/murmur/Manifest
+++ b/net-voip/murmur/Manifest
@@ -1,5 +1,7 @@
 DIST mumble-1.3.3.tar.gz 8591354 BLAKE2B e5bf4d0a21f3c9af761b0892c4a5a7d86244d3283070976fe7a779a10567ffd857e0c19dad750cdbae40d851ce1dcf17b66c63a2cb5142a13358af6f272445dd SHA512 be4c6d4de82a1059bf30d4c7e3c44e41e4bb50dc4a811b7d0def808c52059ff7bcccf65140db940f18cc1bb66d58ea4dab23ba5dcfae3b8b904866751f32edb3
 DIST mumble-1.3.4.tar.gz 8592741 BLAKE2B bcde3fd859ec4faea06f996cd4c583af7c0b8409cca79cb05ef8ba7fcdeac9e49ed1d07a4131225dd582da7610190d4006abc731fd4276b2288e02e8c18effb6 SHA512 e2dde5aad30d1a931e7acd8d7db0b8c785d3a268d0b8cf5626fa03953a51bcadb719c6682c440d02524e83beee13d73d8f5bb3fdf98ab1c82d3ecf824cc25f68
+DIST mumble-1.4-crypto-threads.patch.xz 1472 BLAKE2B 18f64d7b63a5ac253792e31fe272870a8e6a8bec542c163c6f63e9c80157329ce07e3d8753aa4c29429980903207c457c6488ff81d7dffcc48426a022a8d1767 SHA512 981db1f7d877fa9ab92875449486074c31ea269a48db49cafa9e37380dfb1140d7d4a225765d2f5333b27aa2d271427287ac5c7d32a525eded455d734aca7d8b
+DIST mumble-1.4-odr.patch.xz 1088 BLAKE2B 48a7b04ef31f7d0f4cc7e5632ba8f328e5a7fa6961cd971b66a761366351a9a99e3cecce911c90701688083e03f2b63e6838083a8ab669f86fe0fecf23a8596d SHA512 600807cbd893f585c621e7267ee16e2828428fff17aa7eb36b8595164356ef73be2765a41ff9cd7c549c11a63abbf593b0172e56e07571e1c0a3c86fd14e5f15
 DIST mumble-1.4-openssl3.patch.xz 4172 BLAKE2B 5b68f023e218628a4d73b0991dcc7790ce5f92ce6a27c372c5e80b1f3a8beafa3ddd6416b884705b321aee31ea4f5e09dda6ceb240272dde64f420fbeb06845a SHA512 3a4e504f3365e93418cb85d0da4e6f2f54ab904283743907604bb39276560a4215d9bea1b225601789d1c3d84d270c04840ec57cd04e3df1204cc586ea42562a
 DIST mumble-1.4.230.tar.gz 9441667 BLAKE2B da433f3c15d7e45dfac0c8a78c9dbe86ba8d5cd078d2d87fd4d90718968fc9e5928c3c5c5ba2e40a8a54d02a646c5fc6a7ee2fff4b71dfa411d74f395b097c26 SHA512 6cffc7a95d88b33876f4093b99266468210f5c14f190fbd2fbe4991bef91a567e55296e7c8c6cc99e19c054853211085cc3cc08109e367e6776afb70766b3a53
 DIST mumble-1.4.274.tar.gz 9446657 BLAKE2B db1909eaab0bd1fca1f65023ff695c753af7721032305ad0c2da8246cfd91f0ed097fe0dc3b6e09c96a78f1b9df671847e1c48f3f24ac58b477148b91e24e660 SHA512 6a585b75db966c45783eab9097dc93d597ef1b718a3b7b9cf544f92c94d4305c2cac6c959931ade62d5d104a89cb41e7ca44347d49ec170687fc92d2e8b718a2

diff --git a/net-voip/murmur/murmur-1.4.274.ebuild b/net-voip/murmur/murmur-1.4.274-r1.ebuild
similarity index 91%
rename from net-voip/murmur/murmur-1.4.274.ebuild
rename to net-voip/murmur/murmur-1.4.274-r1.ebuild
index 2f572ab1a86e..6261b3912022 100644
--- a/net-voip/murmur/murmur-1.4.274.ebuild
+++ b/net-voip/murmur/murmur-1.4.274-r1.ebuild
@@ -15,7 +15,7 @@ else
 	MY_PN="mumble"
 	if [[ "${PV}" == *_pre* ]] ; then
 		MY_P="${MY_PN}-${PV}"
-		SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${MY_P}.tar.xz"
+		SRC_URI="https://dev.gentoo.org/~concord/distfiles/${MY_P}.tar.xz"
 		S="${WORKDIR}/${MY_P}"
 	else
 		MY_PV="${PV/_/-}"
@@ -27,7 +27,9 @@ else
 	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
 fi
 
-SRC_URI+=" https://dev.gentoo.org/~polynomial-c/mumble-1.4-openssl3.patch.xz"
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-openssl3.patch.xz"
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-crypto-threads.patch.xz"
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-odr.patch.xz"
 
 LICENSE="BSD"
 SLOT="0"
@@ -83,6 +85,8 @@ DOC_CONTENTS="
 
 PATCHES=(
 	"${WORKDIR}/mumble-1.4-openssl3.patch"
+	"${WORKDIR}/mumble-1.4-crypto-threads.patch"
+	"${WORKDIR}/mumble-1.4-odr.patch"
 )
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-08-31 14:52 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-08-31 14:52 UTC (permalink / raw
  To: gentoo-commits

commit:     3f8a9c8ab3bb796552362c3943d3c34c66d8be23
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 14:24:21 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 14:50:30 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f8a9c8a

net-voip/murmur: drop 1.4.230-r3

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/Manifest                 |   1 -
 net-voip/murmur/murmur-1.4.230-r3.ebuild | 181 -------------------------------
 2 files changed, 182 deletions(-)

diff --git a/net-voip/murmur/Manifest b/net-voip/murmur/Manifest
index ae1e2cd591a5..fb4a51b37780 100644
--- a/net-voip/murmur/Manifest
+++ b/net-voip/murmur/Manifest
@@ -3,5 +3,4 @@ DIST mumble-1.3.4.tar.gz 8592741 BLAKE2B bcde3fd859ec4faea06f996cd4c583af7c0b840
 DIST mumble-1.4-crypto-threads.patch.xz 1472 BLAKE2B 18f64d7b63a5ac253792e31fe272870a8e6a8bec542c163c6f63e9c80157329ce07e3d8753aa4c29429980903207c457c6488ff81d7dffcc48426a022a8d1767 SHA512 981db1f7d877fa9ab92875449486074c31ea269a48db49cafa9e37380dfb1140d7d4a225765d2f5333b27aa2d271427287ac5c7d32a525eded455d734aca7d8b
 DIST mumble-1.4-odr.patch.xz 1088 BLAKE2B 48a7b04ef31f7d0f4cc7e5632ba8f328e5a7fa6961cd971b66a761366351a9a99e3cecce911c90701688083e03f2b63e6838083a8ab669f86fe0fecf23a8596d SHA512 600807cbd893f585c621e7267ee16e2828428fff17aa7eb36b8595164356ef73be2765a41ff9cd7c549c11a63abbf593b0172e56e07571e1c0a3c86fd14e5f15
 DIST mumble-1.4-openssl3.patch.xz 4172 BLAKE2B 5b68f023e218628a4d73b0991dcc7790ce5f92ce6a27c372c5e80b1f3a8beafa3ddd6416b884705b321aee31ea4f5e09dda6ceb240272dde64f420fbeb06845a SHA512 3a4e504f3365e93418cb85d0da4e6f2f54ab904283743907604bb39276560a4215d9bea1b225601789d1c3d84d270c04840ec57cd04e3df1204cc586ea42562a
-DIST mumble-1.4.230.tar.gz 9441667 BLAKE2B da433f3c15d7e45dfac0c8a78c9dbe86ba8d5cd078d2d87fd4d90718968fc9e5928c3c5c5ba2e40a8a54d02a646c5fc6a7ee2fff4b71dfa411d74f395b097c26 SHA512 6cffc7a95d88b33876f4093b99266468210f5c14f190fbd2fbe4991bef91a567e55296e7c8c6cc99e19c054853211085cc3cc08109e367e6776afb70766b3a53
 DIST mumble-1.4.274.tar.gz 9446657 BLAKE2B db1909eaab0bd1fca1f65023ff695c753af7721032305ad0c2da8246cfd91f0ed097fe0dc3b6e09c96a78f1b9df671847e1c48f3f24ac58b477148b91e24e660 SHA512 6a585b75db966c45783eab9097dc93d597ef1b718a3b7b9cf544f92c94d4305c2cac6c959931ade62d5d104a89cb41e7ca44347d49ec170687fc92d2e8b718a2

diff --git a/net-voip/murmur/murmur-1.4.230-r3.ebuild b/net-voip/murmur/murmur-1.4.230-r3.ebuild
deleted file mode 100644
index f57c3e0b18ef..000000000000
--- a/net-voip/murmur/murmur-1.4.230-r3.ebuild
+++ /dev/null
@@ -1,181 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
-
-DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
-HOMEPAGE="https://wiki.mumble.info"
-if [[ "${PV}" == 9999 ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
-	EGIT_SUBMODULES=( '-*' )
-else
-	MY_PN="mumble"
-	if [[ "${PV}" == *_pre* ]] ; then
-		MY_P="${MY_PN}-${PV}"
-		SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${MY_P}.tar.xz"
-		S="${WORKDIR}/${MY_P}"
-	else
-		MY_PV="${PV/_/-}"
-		MY_P="${MY_PN}-${MY_PV}"
-		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/${MY_PV}/${MY_P}.tar.gz
-			https://dl.mumble.info/${MY_P}.tar.gz"
-		S="${WORKDIR}/${MY_PN}-${PV/_*}.src"
-	fi
-	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-fi
-
-SRC_URI+=" https://dev.gentoo.org/~polynomial-c/mumble-1.4-openssl3.patch.xz"
-
-LICENSE="BSD"
-SLOT="0"
-IUSE="+dbus grpc +ice test zeroconf"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	>=dev-libs/openssl-1.0.0b:0=
-	>=dev-libs/protobuf-2.2.0:=
-	dev-qt/qtcore:5
-	dev-qt/qtnetwork:5
-	|| (
-		dev-qt/qtsql:5[sqlite]
-		dev-qt/qtsql:5[mysql]
-	)
-	dev-qt/qtxml:5
-	sys-apps/lsb-release
-	>=sys-libs/libcap-2.15
-	dbus? ( dev-qt/qtdbus:5 )
-	grpc? ( net-libs/grpc )
-	ice? ( dev-libs/Ice:= )
-	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
-"
-
-DEPEND="${RDEPEND}
-	>=dev-libs/boost-1.41.0
-	dev-qt/qttest:5
-"
-BDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	virtual/pkgconfig
-"
-
-if [[ "${PV}" == *9999 ]] ; then
-	# Required for the mkini.sh script which calls perl multiple times
-	BDEPEND+="
-		dev-lang/perl
-	"
-fi
-
-DOC_CONTENTS="
-	Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
-	Please execute:\n
-	murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
-	chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
-	to set the build-in 'SuperUser' password before starting murmur.
-	Please restart dbus before starting murmur, or else dbus
-	registration will fail.
-"
-
-PATCHES=(
-	"${WORKDIR}/mumble-1.4-openssl3.patch"
-)
-
-src_prepare() {
-	if [[ "${PV}" == *9999 ]] ; then
-		pushd scripts &>/dev/null || die
-		./mkini.sh || die
-		popd &>/dev/null || die
-	fi
-
-	sed \
-		-e 's:mumble-server:murmur:g' \
-		-e 's:/var/run:/run:g' \
-		-i "${S}"/scripts/murmur.{conf,ini} || die
-
-	# Adjust systemd service file to our config location #689208
-	sed \
-		-e "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
-		-e "s@murmurd@mumble-server@" \
-		-i scripts/${PN}.service || die
-
-	cmake_src_prepare
-}
-
-src_configure() {
-	myuse() {
-		[[ -n "${1}" ]] || die "myconf: No use flag given."
-		use ${1} || echo "no-${1}"
-	}
-	local mycmakeargs=(
-		-DBUILD_TESTING="$(usex test)"
-		-Dclient="OFF"
-		-Ddbus="$(usex dbus)"
-		-Dg15="OFF"
-		-Dgrpc="$(usex grpc)"
-		-Dice="$(usex ice)"
-		-Doverlay="OFF"
-		-Dserver="ON"
-		-Dzeroconf="$(usex zeroconf)"
-	)
-	if [[ "${PV}" != 9999 ]] ; then
-		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
-	fi
-
-	# https://bugs.gentoo.org/832978
-	# fix tests (and possibly runtime issues) on arches with unsigned chars
-	append-cxxflags -fsigned-char
-
-	cmake_src_configure
-}
-
-src_install() {
-	cmake_src_install
-
-	dodoc README.md CHANGES
-
-	docinto scripts
-	dodoc -r scripts/server
-	docompress -x /usr/share/doc/${PF}/scripts
-
-	local etcdir="/etc/murmur"
-	insinto ${etcdir}
-	doins scripts/${PN}.ini
-
-	insinto /etc/logrotate.d/
-	newins "${FILESDIR}"/murmur.logrotate murmur
-
-	insinto /etc/dbus-1/system.d/
-	doins scripts/murmur.conf
-
-	insinto /usr/share/murmur/
-	doins src/murmur/Murmur.ice
-
-	newinitd "${FILESDIR}"/murmur.initd-r2 murmur
-	newconfd "${FILESDIR}"/murmur.confd murmur
-
-	systemd_dounit scripts/${PN}.service
-	newtmpfiles "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
-
-	keepdir /var/lib/murmur /var/log/murmur
-	fowners -R murmur /var/lib/murmur /var/log/murmur
-	fperms 750 /var/lib/murmur /var/log/murmur
-
-	# Fix permissions on config file as it might contain passwords.
-	# (bug #559362)
-	fowners root:murmur ${etcdir}/murmur.ini
-	fperms 640 ${etcdir}/murmur.ini
-
-	doman man/murmurd.1
-
-	readme.gentoo_create_doc
-}
-
-pkg_postinst() {
-	tmpfiles_process ${PN}.conf
-	readme.gentoo_print_elog
-}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-08-31 14:52 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-08-31 14:52 UTC (permalink / raw
  To: gentoo-commits

commit:     af4f39857d76500c57c8eb15c8c34f271e40b919
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 14:49:28 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 14:51:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af4f3985

net-voip/murmur: update live ebuild

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-9999.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-9999.ebuild b/net-voip/murmur/murmur-9999.ebuild
index 13d53c0b08f9..460402fde599 100644
--- a/net-voip/murmur/murmur-9999.ebuild
+++ b/net-voip/murmur/murmur-9999.ebuild
@@ -15,7 +15,7 @@ else
 	MY_PN="mumble"
 	if [[ "${PV}" == *_pre* ]] ; then
 		MY_P="${MY_PN}-${PV}"
-		SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${MY_P}.tar.xz"
+		SRC_URI="https://dev.gentoo.org/~concord/distfiles/${MY_P}.tar.xz"
 		S="${WORKDIR}/${MY_P}"
 	else
 		MY_PV="${PV/_/-}"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-08-31 19:22 Jakov Smolić
  0 siblings, 0 replies; 28+ messages in thread
From: Jakov Smolić @ 2022-08-31 19:22 UTC (permalink / raw
  To: gentoo-commits

commit:     8664ebb47db6bd81f0b7121c7198ace2202717cf
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 19:22:42 2022 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 19:22:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8664ebb4

net-voip/murmur: Stabilize 1.3.4 amd64, #867730

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 net-voip/murmur/murmur-1.3.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-1.3.4.ebuild b/net-voip/murmur/murmur-1.3.4.ebuild
index a2034bc55449..ca290765cecc 100644
--- a/net-voip/murmur/murmur-1.3.4.ebuild
+++ b/net-voip/murmur/murmur-1.3.4.ebuild
@@ -24,7 +24,7 @@ else
 			https://dl.mumble.info/${MY_P}.tar.gz"
 		S="${WORKDIR}/${MY_PN}-${PV/_*}"
 	fi
-	KEYWORDS="~amd64 ~arm ~x86"
+	KEYWORDS="amd64 ~arm ~x86"
 fi
 
 LICENSE="BSD"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-09-04 10:51 Agostino Sarubbo
  0 siblings, 0 replies; 28+ messages in thread
From: Agostino Sarubbo @ 2022-09-04 10:51 UTC (permalink / raw
  To: gentoo-commits

commit:     0ef6087dfb9139d6da70b764f9bad8489f91f87b
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  4 10:51:15 2022 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Sep  4 10:51:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ef6087d

net-voip/murmur: x86 stable wrt bug #867730

Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 net-voip/murmur/murmur-1.3.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-1.3.4.ebuild b/net-voip/murmur/murmur-1.3.4.ebuild
index ca290765cecc..02674b111771 100644
--- a/net-voip/murmur/murmur-1.3.4.ebuild
+++ b/net-voip/murmur/murmur-1.3.4.ebuild
@@ -24,7 +24,7 @@ else
 			https://dl.mumble.info/${MY_P}.tar.gz"
 		S="${WORKDIR}/${MY_PN}-${PV/_*}"
 	fi
-	KEYWORDS="amd64 ~arm ~x86"
+	KEYWORDS="amd64 ~arm x86"
 fi
 
 LICENSE="BSD"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-09-04 13:03 David Seifert
  0 siblings, 0 replies; 28+ messages in thread
From: David Seifert @ 2022-09-04 13:03 UTC (permalink / raw
  To: gentoo-commits

commit:     acca7a2f88de205c910a030e9b30ef5496b9bda6
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  4 13:03:23 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Sep  4 13:03:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=acca7a2f

net-voip/murmur: remove stale boost lower bounds

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-voip/murmur/murmur-1.3.3.ebuild      | 2 +-
 net-voip/murmur/murmur-1.3.4.ebuild      | 2 +-
 net-voip/murmur/murmur-1.4.274-r1.ebuild | 2 +-
 net-voip/murmur/murmur-9999.ebuild       | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/net-voip/murmur/murmur-1.3.3.ebuild b/net-voip/murmur/murmur-1.3.3.ebuild
index 02674b111771..748c74bfc4e5 100644
--- a/net-voip/murmur/murmur-1.3.3.ebuild
+++ b/net-voip/murmur/murmur-1.3.3.ebuild
@@ -51,7 +51,7 @@ RDEPEND="
 "
 
 DEPEND="${RDEPEND}
-	>=dev-libs/boost-1.41.0
+	dev-libs/boost
 "
 BDEPEND="
 	acct-group/murmur

diff --git a/net-voip/murmur/murmur-1.3.4.ebuild b/net-voip/murmur/murmur-1.3.4.ebuild
index 02674b111771..748c74bfc4e5 100644
--- a/net-voip/murmur/murmur-1.3.4.ebuild
+++ b/net-voip/murmur/murmur-1.3.4.ebuild
@@ -51,7 +51,7 @@ RDEPEND="
 "
 
 DEPEND="${RDEPEND}
-	>=dev-libs/boost-1.41.0
+	dev-libs/boost
 "
 BDEPEND="
 	acct-group/murmur

diff --git a/net-voip/murmur/murmur-1.4.274-r1.ebuild b/net-voip/murmur/murmur-1.4.274-r1.ebuild
index 6261b3912022..2e6317cfe7d9 100644
--- a/net-voip/murmur/murmur-1.4.274-r1.ebuild
+++ b/net-voip/murmur/murmur-1.4.274-r1.ebuild
@@ -57,7 +57,7 @@ RDEPEND="
 "
 
 DEPEND="${RDEPEND}
-	>=dev-libs/boost-1.41.0
+	dev-libs/boost
 	dev-qt/qttest:5
 "
 BDEPEND="

diff --git a/net-voip/murmur/murmur-9999.ebuild b/net-voip/murmur/murmur-9999.ebuild
index 460402fde599..6d1509c0f305 100644
--- a/net-voip/murmur/murmur-9999.ebuild
+++ b/net-voip/murmur/murmur-9999.ebuild
@@ -53,7 +53,7 @@ RDEPEND="
 "
 
 DEPEND="${RDEPEND}
-	>=dev-libs/boost-1.41.0
+	dev-libs/boost
 	dev-qt/qttest:5
 "
 BDEPEND="


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-09-14 17:01 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-09-14 17:01 UTC (permalink / raw
  To: gentoo-commits

commit:     fc02e1e2c8fe588712aac26b48027579b9bb15c1
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 14 16:57:02 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Wed Sep 14 17:00:16 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc02e1e2

net-voip/murmur: drop 1.3.3

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/Manifest            |   1 -
 net-voip/murmur/murmur-1.3.3.ebuild | 162 ------------------------------------
 2 files changed, 163 deletions(-)

diff --git a/net-voip/murmur/Manifest b/net-voip/murmur/Manifest
index fb4a51b37780..ba7d6f1036de 100644
--- a/net-voip/murmur/Manifest
+++ b/net-voip/murmur/Manifest
@@ -1,4 +1,3 @@
-DIST mumble-1.3.3.tar.gz 8591354 BLAKE2B e5bf4d0a21f3c9af761b0892c4a5a7d86244d3283070976fe7a779a10567ffd857e0c19dad750cdbae40d851ce1dcf17b66c63a2cb5142a13358af6f272445dd SHA512 be4c6d4de82a1059bf30d4c7e3c44e41e4bb50dc4a811b7d0def808c52059ff7bcccf65140db940f18cc1bb66d58ea4dab23ba5dcfae3b8b904866751f32edb3
 DIST mumble-1.3.4.tar.gz 8592741 BLAKE2B bcde3fd859ec4faea06f996cd4c583af7c0b8409cca79cb05ef8ba7fcdeac9e49ed1d07a4131225dd582da7610190d4006abc731fd4276b2288e02e8c18effb6 SHA512 e2dde5aad30d1a931e7acd8d7db0b8c785d3a268d0b8cf5626fa03953a51bcadb719c6682c440d02524e83beee13d73d8f5bb3fdf98ab1c82d3ecf824cc25f68
 DIST mumble-1.4-crypto-threads.patch.xz 1472 BLAKE2B 18f64d7b63a5ac253792e31fe272870a8e6a8bec542c163c6f63e9c80157329ce07e3d8753aa4c29429980903207c457c6488ff81d7dffcc48426a022a8d1767 SHA512 981db1f7d877fa9ab92875449486074c31ea269a48db49cafa9e37380dfb1140d7d4a225765d2f5333b27aa2d271427287ac5c7d32a525eded455d734aca7d8b
 DIST mumble-1.4-odr.patch.xz 1088 BLAKE2B 48a7b04ef31f7d0f4cc7e5632ba8f328e5a7fa6961cd971b66a761366351a9a99e3cecce911c90701688083e03f2b63e6838083a8ab669f86fe0fecf23a8596d SHA512 600807cbd893f585c621e7267ee16e2828428fff17aa7eb36b8595164356ef73be2765a41ff9cd7c549c11a63abbf593b0172e56e07571e1c0a3c86fd14e5f15

diff --git a/net-voip/murmur/murmur-1.3.3.ebuild b/net-voip/murmur/murmur-1.3.3.ebuild
deleted file mode 100644
index 748c74bfc4e5..000000000000
--- a/net-voip/murmur/murmur-1.3.3.ebuild
+++ /dev/null
@@ -1,162 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit qmake-utils systemd readme.gentoo-r1 tmpfiles
-
-DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
-HOMEPAGE="https://wiki.mumble.info"
-if [[ "${PV}" == 9999 ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
-	EGIT_SUBMODULES=( '-*' )
-else
-	MY_PN="mumble"
-	if [[ "${PV}" == *_pre* ]] ; then
-		MY_P="${MY_PN}-${PV}"
-		SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${MY_P}.tar.xz"
-		S="${WORKDIR}/${MY_P}"
-	else
-		MY_PV="${PV/_/-}"
-		MY_P="${MY_PN}-${MY_PV}"
-		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/${MY_PV}/${MY_P}.tar.gz
-			https://dl.mumble.info/${MY_P}.tar.gz"
-		S="${WORKDIR}/${MY_PN}-${PV/_*}"
-	fi
-	KEYWORDS="amd64 ~arm x86"
-fi
-
-LICENSE="BSD"
-SLOT="0"
-IUSE="+dbus debug +ice pch zeroconf"
-
-RDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	>=dev-libs/openssl-1.0.0b:0=
-	>=dev-libs/protobuf-2.2.0:=
-	dev-qt/qtcore:5
-	dev-qt/qtnetwork:5
-	|| (
-		dev-qt/qtsql:5[sqlite]
-		dev-qt/qtsql:5[mysql]
-	)
-	dev-qt/qtxml:5
-	sys-apps/lsb-release
-	>=sys-libs/libcap-2.15
-	dbus? ( dev-qt/qtdbus:5 )
-	ice? ( dev-libs/Ice:= )
-	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
-"
-
-DEPEND="${RDEPEND}
-	dev-libs/boost
-"
-BDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	virtual/pkgconfig
-"
-
-if [[ "${PV}" == *9999 ]] ; then
-	# Required for the mkini.sh script which calls perl multiple times
-	BDEPEND+="
-		dev-lang/perl
-	"
-fi
-
-DOC_CONTENTS="
-	Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
-	Please execute:\n
-	murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
-	chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
-	to set the build-in 'SuperUser' password before starting murmur.
-	Please restart dbus before starting murmur, or else dbus
-	registration will fail.
-"
-
-src_prepare() {
-	default
-
-	if [[ "${PV}" == *9999 ]] ; then
-		pushd scripts &>/dev/null || die
-		./mkini.sh || die
-		popd &>/dev/null || die
-	fi
-
-	sed \
-		-e 's:mumble-server:murmur:g' \
-		-e 's:/var/run:/run:g' \
-		-i "${S}"/scripts/murmur.{conf,ini.system} || die
-
-	# Adjust systemd service file to our config location #689208
-	sed "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
-		-i scripts/${PN}.service || die
-}
-
-src_configure() {
-	myuse() {
-		[[ -n "${1}" ]] || die "myconf: No use flag given."
-		use ${1} || echo "no-${1}"
-	}
-	local conf_add=(
-		no-client
-		$(myuse dbus)
-		$(usex debug 'symbols debug' release)
-		$(myuse ice)
-		$(myuse pch)
-		$(usex zeroconf '' no-bonjour)
-	)
-
-	eqmake5 main.pro -recursive \
-		CONFIG+="${conf_add[*]}"
-}
-
-src_install() {
-	dodoc README CHANGES
-
-	docinto scripts
-	dodoc -r scripts/server
-	docompress -x /usr/share/doc/${PF}/scripts
-
-	local dir="$(usex debug debug release)"
-	dobin "${dir}"/murmurd
-
-	local etcdir="/etc/murmur"
-	insinto ${etcdir}
-	newins scripts/${PN}.ini.system ${PN}.ini
-
-	insinto /etc/logrotate.d/
-	newins "${FILESDIR}"/murmur.logrotate murmur
-
-	insinto /etc/dbus-1/system.d/
-	doins scripts/murmur.conf
-
-	insinto /usr/share/murmur/
-	doins src/murmur/Murmur.ice
-
-	newinitd "${FILESDIR}"/murmur.initd-r1 murmur
-	newconfd "${FILESDIR}"/murmur.confd murmur
-
-	systemd_dounit scripts/${PN}.service
-	newtmpfiles "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
-
-	keepdir /var/lib/murmur /var/log/murmur
-	fowners -R murmur /var/lib/murmur /var/log/murmur
-	fperms 750 /var/lib/murmur /var/log/murmur
-
-	# Fix permissions on config file as it might contain passwords.
-	# (bug #559362)
-	fowners root:murmur ${etcdir}/murmur.ini
-	fperms 640 ${etcdir}/murmur.ini
-
-	doman man/murmurd.1
-
-	readme.gentoo_create_doc
-}
-
-pkg_postinst() {
-	tmpfiles_process ${PN}.conf
-	readme.gentoo_print_elog
-}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-09-17 16:47 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-09-17 16:47 UTC (permalink / raw
  To: gentoo-commits

commit:     d777751cd0e5b4cd51768a1cdee6ce49686898a5
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 17 16:45:13 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sat Sep 17 16:46:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d777751c

net-voip/murmur: add 1.4.287

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/Manifest              |   1 +
 net-voip/murmur/murmur-1.4.287.ebuild | 185 ++++++++++++++++++++++++++++++++++
 2 files changed, 186 insertions(+)

diff --git a/net-voip/murmur/Manifest b/net-voip/murmur/Manifest
index ba7d6f1036de..83c9c835c209 100644
--- a/net-voip/murmur/Manifest
+++ b/net-voip/murmur/Manifest
@@ -3,3 +3,4 @@ DIST mumble-1.4-crypto-threads.patch.xz 1472 BLAKE2B 18f64d7b63a5ac253792e31fe27
 DIST mumble-1.4-odr.patch.xz 1088 BLAKE2B 48a7b04ef31f7d0f4cc7e5632ba8f328e5a7fa6961cd971b66a761366351a9a99e3cecce911c90701688083e03f2b63e6838083a8ab669f86fe0fecf23a8596d SHA512 600807cbd893f585c621e7267ee16e2828428fff17aa7eb36b8595164356ef73be2765a41ff9cd7c549c11a63abbf593b0172e56e07571e1c0a3c86fd14e5f15
 DIST mumble-1.4-openssl3.patch.xz 4172 BLAKE2B 5b68f023e218628a4d73b0991dcc7790ce5f92ce6a27c372c5e80b1f3a8beafa3ddd6416b884705b321aee31ea4f5e09dda6ceb240272dde64f420fbeb06845a SHA512 3a4e504f3365e93418cb85d0da4e6f2f54ab904283743907604bb39276560a4215d9bea1b225601789d1c3d84d270c04840ec57cd04e3df1204cc586ea42562a
 DIST mumble-1.4.274.tar.gz 9446657 BLAKE2B db1909eaab0bd1fca1f65023ff695c753af7721032305ad0c2da8246cfd91f0ed097fe0dc3b6e09c96a78f1b9df671847e1c48f3f24ac58b477148b91e24e660 SHA512 6a585b75db966c45783eab9097dc93d597ef1b718a3b7b9cf544f92c94d4305c2cac6c959931ade62d5d104a89cb41e7ca44347d49ec170687fc92d2e8b718a2
+DIST mumble-1.4.287.tar.gz 9457292 BLAKE2B 5fc89c184aa54ab8269870fd87b6c9ce271d77c05a6ecb2aa78eccf297ffb842a50a18a142ac628c1b287a2b5e6c0ae0dced3237242303840a4de05b7f3e7040 SHA512 34ed30c18257ba8deae6938009a90147c8bc3a0aca28e69bea7ec0262e8d2cdacb9a840fac7d3dd623a52ef8d5903ed5424b62b483af21d6df6aa9632eae9d82

diff --git a/net-voip/murmur/murmur-1.4.287.ebuild b/net-voip/murmur/murmur-1.4.287.ebuild
new file mode 100644
index 000000000000..0fe5dab50aac
--- /dev/null
+++ b/net-voip/murmur/murmur-1.4.287.ebuild
@@ -0,0 +1,185 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="https://wiki.mumble.info"
+if [[ "${PV}" == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
+	EGIT_SUBMODULES=( '-*' )
+else
+	MY_PN="mumble"
+	if [[ "${PV}" == *_pre* ]] ; then
+		MY_P="${MY_PN}-${PV}"
+		SRC_URI="https://dev.gentoo.org/~concord/distfiles/${MY_P}.tar.xz"
+		S="${WORKDIR}/${MY_P}"
+	else
+		MY_PV="${PV/_/-}"
+		MY_P="${MY_PN}-${MY_PV}"
+		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz
+			https://dl.mumble.info/${MY_P}.tar.gz"
+		S="${WORKDIR}/${MY_P}.src"
+	fi
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-openssl3.patch.xz"
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-crypto-threads.patch.xz"
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-odr.patch.xz"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="+dbus grpc +ice test zeroconf"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	acct-group/murmur
+	acct-user/murmur
+	>=dev-libs/openssl-1.0.0b:0=
+	>=dev-libs/protobuf-2.2.0:=
+	dev-qt/qtcore:5
+	dev-qt/qtnetwork:5
+	|| (
+		dev-qt/qtsql:5[sqlite]
+		dev-qt/qtsql:5[mysql]
+	)
+	dev-qt/qtxml:5
+	sys-apps/lsb-release
+	>=sys-libs/libcap-2.15
+	dbus? ( dev-qt/qtdbus:5 )
+	grpc? ( net-libs/grpc )
+	ice? ( dev-libs/Ice:= )
+	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+"
+
+DEPEND="${RDEPEND}
+	dev-libs/boost
+	dev-qt/qttest:5
+"
+BDEPEND="
+	acct-group/murmur
+	acct-user/murmur
+	virtual/pkgconfig
+"
+
+if [[ "${PV}" == *9999 ]] ; then
+	# Required for the mkini.sh script which calls perl multiple times
+	BDEPEND+="
+		dev-lang/perl
+	"
+fi
+
+DOC_CONTENTS="
+	Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
+	Please execute:\n
+	murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
+	chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
+	to set the build-in 'SuperUser' password before starting murmur.
+	Please restart dbus before starting murmur, or else dbus
+	registration will fail.
+"
+
+PATCHES=(
+	"${WORKDIR}/mumble-1.4-openssl3.patch"
+	"${WORKDIR}/mumble-1.4-crypto-threads.patch"
+	"${WORKDIR}/mumble-1.4-odr.patch"
+)
+
+src_prepare() {
+	if [[ "${PV}" == *9999 ]] ; then
+		pushd scripts &>/dev/null || die
+		./mkini.sh || die
+		popd &>/dev/null || die
+	fi
+
+	sed \
+		-e 's:mumble-server:murmur:g' \
+		-e 's:/var/run:/run:g' \
+		-i "${S}"/scripts/murmur.{conf,ini} || die
+
+	# Adjust systemd service file to our config location #689208
+	sed \
+		-e "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
+		-e "s@murmurd@mumble-server@" \
+		-i scripts/${PN}.service || die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	myuse() {
+		[[ -n "${1}" ]] || die "myconf: No use flag given."
+		use ${1} || echo "no-${1}"
+	}
+	local mycmakeargs=(
+		-DBUILD_TESTING="$(usex test)"
+		-Dclient="OFF"
+		-Ddbus="$(usex dbus)"
+		-Dg15="OFF"
+		-Dgrpc="$(usex grpc)"
+		-Dice="$(usex ice)"
+		-Doverlay="OFF"
+		-Dserver="ON"
+		-Dzeroconf="$(usex zeroconf)"
+	)
+	if [[ "${PV}" != 9999 ]] ; then
+		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
+	fi
+
+	# https://bugs.gentoo.org/832978
+	# fix tests (and possibly runtime issues) on arches with unsigned chars
+	append-cxxflags -fsigned-char
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	dodoc README.md CHANGES
+
+	docinto scripts
+	dodoc -r scripts/server
+	docompress -x /usr/share/doc/${PF}/scripts
+
+	local etcdir="/etc/murmur"
+	insinto ${etcdir}
+	doins scripts/${PN}.ini
+
+	insinto /etc/logrotate.d/
+	newins "${FILESDIR}"/murmur.logrotate murmur
+
+	insinto /etc/dbus-1/system.d/
+	doins scripts/murmur.conf
+
+	insinto /usr/share/murmur/
+	doins src/murmur/Murmur.ice
+
+	newinitd "${FILESDIR}"/murmur.initd-r2 murmur
+	newconfd "${FILESDIR}"/murmur.confd murmur
+
+	systemd_dounit scripts/${PN}.service
+	newtmpfiles "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
+
+	keepdir /var/lib/murmur /var/log/murmur
+	fowners -R murmur /var/lib/murmur /var/log/murmur
+	fperms 750 /var/lib/murmur /var/log/murmur
+
+	# Fix permissions on config file as it might contain passwords.
+	# (bug #559362)
+	fowners root:murmur ${etcdir}/murmur.ini
+	fperms 640 ${etcdir}/murmur.ini
+
+	doman man/mumble-server.1
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	tmpfiles_process ${PN}.conf
+	readme.gentoo_print_elog
+}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-10-20 10:52 Jakov Smolić
  0 siblings, 0 replies; 28+ messages in thread
From: Jakov Smolić @ 2022-10-20 10:52 UTC (permalink / raw
  To: gentoo-commits

commit:     04c48d49845f0a58420e4acda845fe11dce5c8e5
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 20 10:52:09 2022 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Thu Oct 20 10:52:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04c48d49

net-voip/murmur: Stabilize 1.4.287 amd64, #877667

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 net-voip/murmur/murmur-1.4.287.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-1.4.287.ebuild b/net-voip/murmur/murmur-1.4.287.ebuild
index 0fe5dab50aac..dd54433ffd16 100644
--- a/net-voip/murmur/murmur-1.4.287.ebuild
+++ b/net-voip/murmur/murmur-1.4.287.ebuild
@@ -24,7 +24,7 @@ else
 			https://dl.mumble.info/${MY_P}.tar.gz"
 		S="${WORKDIR}/${MY_P}.src"
 	fi
-	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+	KEYWORDS="amd64 ~arm ~arm64 ~x86"
 fi
 
 SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-openssl3.patch.xz"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-10-27 23:46 Sam James
  0 siblings, 0 replies; 28+ messages in thread
From: Sam James @ 2022-10-27 23:46 UTC (permalink / raw
  To: gentoo-commits

commit:     78a9fe9dcd3b1569dc5e90165782c235a9f75c67
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 27 23:46:04 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Oct 27 23:46:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78a9fe9d

net-voip/murmur: Stabilize 1.4.287 x86, #877667

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-voip/murmur/murmur-1.4.287.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-1.4.287.ebuild b/net-voip/murmur/murmur-1.4.287.ebuild
index dd54433ffd16..3403c3b206d9 100644
--- a/net-voip/murmur/murmur-1.4.287.ebuild
+++ b/net-voip/murmur/murmur-1.4.287.ebuild
@@ -24,7 +24,7 @@ else
 			https://dl.mumble.info/${MY_P}.tar.gz"
 		S="${WORKDIR}/${MY_P}.src"
 	fi
-	KEYWORDS="amd64 ~arm ~arm64 ~x86"
+	KEYWORDS="amd64 ~arm ~arm64 x86"
 fi
 
 SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-openssl3.patch.xz"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-12-07 18:34 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-12-07 18:34 UTC (permalink / raw
  To: gentoo-commits

commit:     a0925bbde61784871a675f6a005c363d4b6c56c5
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  7 18:31:35 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Wed Dec  7 18:32:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0925bbd

net-voip/murmur: drop 1.4.274-r1

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/Manifest                 |   1 -
 net-voip/murmur/murmur-1.4.274-r1.ebuild | 185 -------------------------------
 2 files changed, 186 deletions(-)

diff --git a/net-voip/murmur/Manifest b/net-voip/murmur/Manifest
index 83c9c835c209..a0c44c11d7d9 100644
--- a/net-voip/murmur/Manifest
+++ b/net-voip/murmur/Manifest
@@ -2,5 +2,4 @@ DIST mumble-1.3.4.tar.gz 8592741 BLAKE2B bcde3fd859ec4faea06f996cd4c583af7c0b840
 DIST mumble-1.4-crypto-threads.patch.xz 1472 BLAKE2B 18f64d7b63a5ac253792e31fe272870a8e6a8bec542c163c6f63e9c80157329ce07e3d8753aa4c29429980903207c457c6488ff81d7dffcc48426a022a8d1767 SHA512 981db1f7d877fa9ab92875449486074c31ea269a48db49cafa9e37380dfb1140d7d4a225765d2f5333b27aa2d271427287ac5c7d32a525eded455d734aca7d8b
 DIST mumble-1.4-odr.patch.xz 1088 BLAKE2B 48a7b04ef31f7d0f4cc7e5632ba8f328e5a7fa6961cd971b66a761366351a9a99e3cecce911c90701688083e03f2b63e6838083a8ab669f86fe0fecf23a8596d SHA512 600807cbd893f585c621e7267ee16e2828428fff17aa7eb36b8595164356ef73be2765a41ff9cd7c549c11a63abbf593b0172e56e07571e1c0a3c86fd14e5f15
 DIST mumble-1.4-openssl3.patch.xz 4172 BLAKE2B 5b68f023e218628a4d73b0991dcc7790ce5f92ce6a27c372c5e80b1f3a8beafa3ddd6416b884705b321aee31ea4f5e09dda6ceb240272dde64f420fbeb06845a SHA512 3a4e504f3365e93418cb85d0da4e6f2f54ab904283743907604bb39276560a4215d9bea1b225601789d1c3d84d270c04840ec57cd04e3df1204cc586ea42562a
-DIST mumble-1.4.274.tar.gz 9446657 BLAKE2B db1909eaab0bd1fca1f65023ff695c753af7721032305ad0c2da8246cfd91f0ed097fe0dc3b6e09c96a78f1b9df671847e1c48f3f24ac58b477148b91e24e660 SHA512 6a585b75db966c45783eab9097dc93d597ef1b718a3b7b9cf544f92c94d4305c2cac6c959931ade62d5d104a89cb41e7ca44347d49ec170687fc92d2e8b718a2
 DIST mumble-1.4.287.tar.gz 9457292 BLAKE2B 5fc89c184aa54ab8269870fd87b6c9ce271d77c05a6ecb2aa78eccf297ffb842a50a18a142ac628c1b287a2b5e6c0ae0dced3237242303840a4de05b7f3e7040 SHA512 34ed30c18257ba8deae6938009a90147c8bc3a0aca28e69bea7ec0262e8d2cdacb9a840fac7d3dd623a52ef8d5903ed5424b62b483af21d6df6aa9632eae9d82

diff --git a/net-voip/murmur/murmur-1.4.274-r1.ebuild b/net-voip/murmur/murmur-1.4.274-r1.ebuild
deleted file mode 100644
index 2e6317cfe7d9..000000000000
--- a/net-voip/murmur/murmur-1.4.274-r1.ebuild
+++ /dev/null
@@ -1,185 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
-
-DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
-HOMEPAGE="https://wiki.mumble.info"
-if [[ "${PV}" == 9999 ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
-	EGIT_SUBMODULES=( '-*' )
-else
-	MY_PN="mumble"
-	if [[ "${PV}" == *_pre* ]] ; then
-		MY_P="${MY_PN}-${PV}"
-		SRC_URI="https://dev.gentoo.org/~concord/distfiles/${MY_P}.tar.xz"
-		S="${WORKDIR}/${MY_P}"
-	else
-		MY_PV="${PV/_/-}"
-		MY_P="${MY_PN}-${MY_PV}"
-		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz
-			https://dl.mumble.info/${MY_P}.tar.gz"
-		S="${WORKDIR}/${MY_PN}-src"
-	fi
-	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-fi
-
-SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-openssl3.patch.xz"
-SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-crypto-threads.patch.xz"
-SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-odr.patch.xz"
-
-LICENSE="BSD"
-SLOT="0"
-IUSE="+dbus grpc +ice test zeroconf"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	>=dev-libs/openssl-1.0.0b:0=
-	>=dev-libs/protobuf-2.2.0:=
-	dev-qt/qtcore:5
-	dev-qt/qtnetwork:5
-	|| (
-		dev-qt/qtsql:5[sqlite]
-		dev-qt/qtsql:5[mysql]
-	)
-	dev-qt/qtxml:5
-	sys-apps/lsb-release
-	>=sys-libs/libcap-2.15
-	dbus? ( dev-qt/qtdbus:5 )
-	grpc? ( net-libs/grpc )
-	ice? ( dev-libs/Ice:= )
-	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
-"
-
-DEPEND="${RDEPEND}
-	dev-libs/boost
-	dev-qt/qttest:5
-"
-BDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	virtual/pkgconfig
-"
-
-if [[ "${PV}" == *9999 ]] ; then
-	# Required for the mkini.sh script which calls perl multiple times
-	BDEPEND+="
-		dev-lang/perl
-	"
-fi
-
-DOC_CONTENTS="
-	Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
-	Please execute:\n
-	murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
-	chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
-	to set the build-in 'SuperUser' password before starting murmur.
-	Please restart dbus before starting murmur, or else dbus
-	registration will fail.
-"
-
-PATCHES=(
-	"${WORKDIR}/mumble-1.4-openssl3.patch"
-	"${WORKDIR}/mumble-1.4-crypto-threads.patch"
-	"${WORKDIR}/mumble-1.4-odr.patch"
-)
-
-src_prepare() {
-	if [[ "${PV}" == *9999 ]] ; then
-		pushd scripts &>/dev/null || die
-		./mkini.sh || die
-		popd &>/dev/null || die
-	fi
-
-	sed \
-		-e 's:mumble-server:murmur:g' \
-		-e 's:/var/run:/run:g' \
-		-i "${S}"/scripts/murmur.{conf,ini} || die
-
-	# Adjust systemd service file to our config location #689208
-	sed \
-		-e "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
-		-e "s@murmurd@mumble-server@" \
-		-i scripts/${PN}.service || die
-
-	cmake_src_prepare
-}
-
-src_configure() {
-	myuse() {
-		[[ -n "${1}" ]] || die "myconf: No use flag given."
-		use ${1} || echo "no-${1}"
-	}
-	local mycmakeargs=(
-		-DBUILD_TESTING="$(usex test)"
-		-Dclient="OFF"
-		-Ddbus="$(usex dbus)"
-		-Dg15="OFF"
-		-Dgrpc="$(usex grpc)"
-		-Dice="$(usex ice)"
-		-Doverlay="OFF"
-		-Dserver="ON"
-		-Dzeroconf="$(usex zeroconf)"
-	)
-	if [[ "${PV}" != 9999 ]] ; then
-		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
-	fi
-
-	# https://bugs.gentoo.org/832978
-	# fix tests (and possibly runtime issues) on arches with unsigned chars
-	append-cxxflags -fsigned-char
-
-	cmake_src_configure
-}
-
-src_install() {
-	cmake_src_install
-
-	dodoc README.md CHANGES
-
-	docinto scripts
-	dodoc -r scripts/server
-	docompress -x /usr/share/doc/${PF}/scripts
-
-	local etcdir="/etc/murmur"
-	insinto ${etcdir}
-	doins scripts/${PN}.ini
-
-	insinto /etc/logrotate.d/
-	newins "${FILESDIR}"/murmur.logrotate murmur
-
-	insinto /etc/dbus-1/system.d/
-	doins scripts/murmur.conf
-
-	insinto /usr/share/murmur/
-	doins src/murmur/Murmur.ice
-
-	newinitd "${FILESDIR}"/murmur.initd-r2 murmur
-	newconfd "${FILESDIR}"/murmur.confd murmur
-
-	systemd_dounit scripts/${PN}.service
-	newtmpfiles "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
-
-	keepdir /var/lib/murmur /var/log/murmur
-	fowners -R murmur /var/lib/murmur /var/log/murmur
-	fperms 750 /var/lib/murmur /var/log/murmur
-
-	# Fix permissions on config file as it might contain passwords.
-	# (bug #559362)
-	fowners root:murmur ${etcdir}/murmur.ini
-	fperms 640 ${etcdir}/murmur.ini
-
-	doman man/mumble-server.1
-
-	readme.gentoo_create_doc
-}
-
-pkg_postinst() {
-	tmpfiles_process ${PN}.conf
-	readme.gentoo_print_elog
-}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-12-07 18:34 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-12-07 18:34 UTC (permalink / raw
  To: gentoo-commits

commit:     54af272678fca525a681b9c78d1ee80a0cf791c6
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  7 18:32:57 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Wed Dec  7 18:33:29 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54af2726

net-voip/murmur: add github upstream metadata

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/net-voip/murmur/metadata.xml b/net-voip/murmur/metadata.xml
index 453aea68c4d9..60eba5013c64 100644
--- a/net-voip/murmur/metadata.xml
+++ b/net-voip/murmur/metadata.xml
@@ -10,6 +10,7 @@
 		<flag name="ice">Use <pkg>dev-libs/Ice</pkg> to enable remote control capabilities.</flag>
 	</use>
 	<upstream>
+		<remote-id type="github">mumble-voip/mumble</remote-id>
 		<remote-id type="sourceforge">mumble</remote-id>
 	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2022-12-26  1:10 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2022-12-26  1:10 UTC (permalink / raw
  To: gentoo-commits

commit:     8ff7f2163f7fde7793e6b29687dfc2b8098aec72
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 26 01:06:33 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Mon Dec 26 01:09:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ff7f216

net-voip/murmur: add missing USE dep for dev-qt/qtnetwork[ssl]

Closes: https://bugs.gentoo.org/885635
Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/{murmur-1.3.4.ebuild => murmur-1.3.4-r1.ebuild}     | 2 +-
 net-voip/murmur/{murmur-1.4.287.ebuild => murmur-1.4.287-r1.ebuild} | 2 +-
 net-voip/murmur/murmur-9999.ebuild                                  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/net-voip/murmur/murmur-1.3.4.ebuild b/net-voip/murmur/murmur-1.3.4-r1.ebuild
similarity index 99%
rename from net-voip/murmur/murmur-1.3.4.ebuild
rename to net-voip/murmur/murmur-1.3.4-r1.ebuild
index 748c74bfc4e5..2bba75b1ae40 100644
--- a/net-voip/murmur/murmur-1.3.4.ebuild
+++ b/net-voip/murmur/murmur-1.3.4-r1.ebuild
@@ -37,7 +37,7 @@ RDEPEND="
 	>=dev-libs/openssl-1.0.0b:0=
 	>=dev-libs/protobuf-2.2.0:=
 	dev-qt/qtcore:5
-	dev-qt/qtnetwork:5
+	dev-qt/qtnetwork:5[ssl]
 	|| (
 		dev-qt/qtsql:5[sqlite]
 		dev-qt/qtsql:5[mysql]

diff --git a/net-voip/murmur/murmur-1.4.287.ebuild b/net-voip/murmur/murmur-1.4.287-r1.ebuild
similarity index 99%
rename from net-voip/murmur/murmur-1.4.287.ebuild
rename to net-voip/murmur/murmur-1.4.287-r1.ebuild
index 3403c3b206d9..da97454719ad 100644
--- a/net-voip/murmur/murmur-1.4.287.ebuild
+++ b/net-voip/murmur/murmur-1.4.287-r1.ebuild
@@ -42,7 +42,7 @@ RDEPEND="
 	>=dev-libs/openssl-1.0.0b:0=
 	>=dev-libs/protobuf-2.2.0:=
 	dev-qt/qtcore:5
-	dev-qt/qtnetwork:5
+	dev-qt/qtnetwork:5[ssl]
 	|| (
 		dev-qt/qtsql:5[sqlite]
 		dev-qt/qtsql:5[mysql]

diff --git a/net-voip/murmur/murmur-9999.ebuild b/net-voip/murmur/murmur-9999.ebuild
index 6d1509c0f305..767d7a494eb3 100644
--- a/net-voip/murmur/murmur-9999.ebuild
+++ b/net-voip/murmur/murmur-9999.ebuild
@@ -38,7 +38,7 @@ RDEPEND="
 	>=dev-libs/openssl-1.0.0b:0=
 	>=dev-libs/protobuf-2.2.0:=
 	dev-qt/qtcore:5
-	dev-qt/qtnetwork:5
+	dev-qt/qtnetwork:5[ssl]
 	|| (
 		dev-qt/qtsql:5[sqlite]
 		dev-qt/qtsql:5[mysql]


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2023-08-14 22:50 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2023-08-14 22:50 UTC (permalink / raw
  To: gentoo-commits

commit:     a2941126b063cd20969f488e97fd41dcdf3ebb5f
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 14 22:44:27 2023 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Mon Aug 14 22:44:27 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2941126

net-voip/murmur: drop 1.3.4-r1

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/Manifest               |   1 -
 net-voip/murmur/murmur-1.3.4-r1.ebuild | 162 ---------------------------------
 2 files changed, 163 deletions(-)

diff --git a/net-voip/murmur/Manifest b/net-voip/murmur/Manifest
index a0c44c11d7d9..e3a09445c321 100644
--- a/net-voip/murmur/Manifest
+++ b/net-voip/murmur/Manifest
@@ -1,4 +1,3 @@
-DIST mumble-1.3.4.tar.gz 8592741 BLAKE2B bcde3fd859ec4faea06f996cd4c583af7c0b8409cca79cb05ef8ba7fcdeac9e49ed1d07a4131225dd582da7610190d4006abc731fd4276b2288e02e8c18effb6 SHA512 e2dde5aad30d1a931e7acd8d7db0b8c785d3a268d0b8cf5626fa03953a51bcadb719c6682c440d02524e83beee13d73d8f5bb3fdf98ab1c82d3ecf824cc25f68
 DIST mumble-1.4-crypto-threads.patch.xz 1472 BLAKE2B 18f64d7b63a5ac253792e31fe272870a8e6a8bec542c163c6f63e9c80157329ce07e3d8753aa4c29429980903207c457c6488ff81d7dffcc48426a022a8d1767 SHA512 981db1f7d877fa9ab92875449486074c31ea269a48db49cafa9e37380dfb1140d7d4a225765d2f5333b27aa2d271427287ac5c7d32a525eded455d734aca7d8b
 DIST mumble-1.4-odr.patch.xz 1088 BLAKE2B 48a7b04ef31f7d0f4cc7e5632ba8f328e5a7fa6961cd971b66a761366351a9a99e3cecce911c90701688083e03f2b63e6838083a8ab669f86fe0fecf23a8596d SHA512 600807cbd893f585c621e7267ee16e2828428fff17aa7eb36b8595164356ef73be2765a41ff9cd7c549c11a63abbf593b0172e56e07571e1c0a3c86fd14e5f15
 DIST mumble-1.4-openssl3.patch.xz 4172 BLAKE2B 5b68f023e218628a4d73b0991dcc7790ce5f92ce6a27c372c5e80b1f3a8beafa3ddd6416b884705b321aee31ea4f5e09dda6ceb240272dde64f420fbeb06845a SHA512 3a4e504f3365e93418cb85d0da4e6f2f54ab904283743907604bb39276560a4215d9bea1b225601789d1c3d84d270c04840ec57cd04e3df1204cc586ea42562a

diff --git a/net-voip/murmur/murmur-1.3.4-r1.ebuild b/net-voip/murmur/murmur-1.3.4-r1.ebuild
deleted file mode 100644
index 2bba75b1ae40..000000000000
--- a/net-voip/murmur/murmur-1.3.4-r1.ebuild
+++ /dev/null
@@ -1,162 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit qmake-utils systemd readme.gentoo-r1 tmpfiles
-
-DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
-HOMEPAGE="https://wiki.mumble.info"
-if [[ "${PV}" == 9999 ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
-	EGIT_SUBMODULES=( '-*' )
-else
-	MY_PN="mumble"
-	if [[ "${PV}" == *_pre* ]] ; then
-		MY_P="${MY_PN}-${PV}"
-		SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${MY_P}.tar.xz"
-		S="${WORKDIR}/${MY_P}"
-	else
-		MY_PV="${PV/_/-}"
-		MY_P="${MY_PN}-${MY_PV}"
-		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/${MY_PV}/${MY_P}.tar.gz
-			https://dl.mumble.info/${MY_P}.tar.gz"
-		S="${WORKDIR}/${MY_PN}-${PV/_*}"
-	fi
-	KEYWORDS="amd64 ~arm x86"
-fi
-
-LICENSE="BSD"
-SLOT="0"
-IUSE="+dbus debug +ice pch zeroconf"
-
-RDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	>=dev-libs/openssl-1.0.0b:0=
-	>=dev-libs/protobuf-2.2.0:=
-	dev-qt/qtcore:5
-	dev-qt/qtnetwork:5[ssl]
-	|| (
-		dev-qt/qtsql:5[sqlite]
-		dev-qt/qtsql:5[mysql]
-	)
-	dev-qt/qtxml:5
-	sys-apps/lsb-release
-	>=sys-libs/libcap-2.15
-	dbus? ( dev-qt/qtdbus:5 )
-	ice? ( dev-libs/Ice:= )
-	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
-"
-
-DEPEND="${RDEPEND}
-	dev-libs/boost
-"
-BDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	virtual/pkgconfig
-"
-
-if [[ "${PV}" == *9999 ]] ; then
-	# Required for the mkini.sh script which calls perl multiple times
-	BDEPEND+="
-		dev-lang/perl
-	"
-fi
-
-DOC_CONTENTS="
-	Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
-	Please execute:\n
-	murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
-	chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
-	to set the build-in 'SuperUser' password before starting murmur.
-	Please restart dbus before starting murmur, or else dbus
-	registration will fail.
-"
-
-src_prepare() {
-	default
-
-	if [[ "${PV}" == *9999 ]] ; then
-		pushd scripts &>/dev/null || die
-		./mkini.sh || die
-		popd &>/dev/null || die
-	fi
-
-	sed \
-		-e 's:mumble-server:murmur:g' \
-		-e 's:/var/run:/run:g' \
-		-i "${S}"/scripts/murmur.{conf,ini.system} || die
-
-	# Adjust systemd service file to our config location #689208
-	sed "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
-		-i scripts/${PN}.service || die
-}
-
-src_configure() {
-	myuse() {
-		[[ -n "${1}" ]] || die "myconf: No use flag given."
-		use ${1} || echo "no-${1}"
-	}
-	local conf_add=(
-		no-client
-		$(myuse dbus)
-		$(usex debug 'symbols debug' release)
-		$(myuse ice)
-		$(myuse pch)
-		$(usex zeroconf '' no-bonjour)
-	)
-
-	eqmake5 main.pro -recursive \
-		CONFIG+="${conf_add[*]}"
-}
-
-src_install() {
-	dodoc README CHANGES
-
-	docinto scripts
-	dodoc -r scripts/server
-	docompress -x /usr/share/doc/${PF}/scripts
-
-	local dir="$(usex debug debug release)"
-	dobin "${dir}"/murmurd
-
-	local etcdir="/etc/murmur"
-	insinto ${etcdir}
-	newins scripts/${PN}.ini.system ${PN}.ini
-
-	insinto /etc/logrotate.d/
-	newins "${FILESDIR}"/murmur.logrotate murmur
-
-	insinto /etc/dbus-1/system.d/
-	doins scripts/murmur.conf
-
-	insinto /usr/share/murmur/
-	doins src/murmur/Murmur.ice
-
-	newinitd "${FILESDIR}"/murmur.initd-r1 murmur
-	newconfd "${FILESDIR}"/murmur.confd murmur
-
-	systemd_dounit scripts/${PN}.service
-	newtmpfiles "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
-
-	keepdir /var/lib/murmur /var/log/murmur
-	fowners -R murmur /var/lib/murmur /var/log/murmur
-	fperms 750 /var/lib/murmur /var/log/murmur
-
-	# Fix permissions on config file as it might contain passwords.
-	# (bug #559362)
-	fowners root:murmur ${etcdir}/murmur.ini
-	fperms 640 ${etcdir}/murmur.ini
-
-	doman man/murmurd.1
-
-	readme.gentoo_create_doc
-}
-
-pkg_postinst() {
-	tmpfiles_process ${PN}.conf
-	readme.gentoo_print_elog
-}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2024-02-09 14:41 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2024-02-09 14:41 UTC (permalink / raw
  To: gentoo-commits

commit:     5321ea9752e70e9f151b927d4bffefad49d878cf
Author:     Sebastian Parborg <darkdefende <AT> gmail <DOT> com>
AuthorDate: Fri Apr 28 12:11:18 2023 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Fri Feb  9 14:40:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5321ea97

net-voip/murmur: add 1.4.287-r2

The default install would not run out of the box and one needed to
change the following to get it up and running:

- Set the pidfile option to /run/murmur/murmur.pid in .ini config file

- Change logfile setting to /var/log/murmur/murmur.log in ini file

- Specify the data base location to /var/lib/murmur/database.sqlite in
  the ini file. Otherwise it would complain that the database was read
  only and wouldn't start.

- Needed to add avahi-daemon to "use" in the depend section in the init.d
  script to get zeroconf functionality to work.

- Fix avahi command in initd file

Clarified and simplified the post install message as well.

Signed-off-by: Sebastian Parborg <darkdefende <AT> gmail.com>
Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-1.4.287-r2.ebuild | 200 +++++++++++++++++++++++++++++++
 1 file changed, 200 insertions(+)

diff --git a/net-voip/murmur/murmur-1.4.287-r2.ebuild b/net-voip/murmur/murmur-1.4.287-r2.ebuild
new file mode 100644
index 000000000000..f439f3c88309
--- /dev/null
+++ b/net-voip/murmur/murmur-1.4.287-r2.ebuild
@@ -0,0 +1,200 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="https://wiki.mumble.info"
+if [[ "${PV}" == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
+	EGIT_SUBMODULES=( '-*' )
+else
+	MY_PN="mumble"
+	if [[ "${PV}" == *_pre* ]] ; then
+		MY_P="${MY_PN}-${PV}"
+		SRC_URI="https://dev.gentoo.org/~concord/distfiles/${MY_P}.tar.xz"
+		S="${WORKDIR}/${MY_P}"
+	else
+		MY_PV="${PV/_/-}"
+		MY_P="${MY_PN}-${MY_PV}"
+		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz
+			https://dl.mumble.info/${MY_P}.tar.gz"
+		S="${WORKDIR}/${MY_P}.src"
+	fi
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-openssl3.patch.xz"
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-crypto-threads.patch.xz"
+SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-odr.patch.xz"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="+dbus grpc +ice test zeroconf"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	acct-group/murmur
+	acct-user/murmur
+	>=dev-libs/openssl-1.0.0b:0=
+	>=dev-libs/protobuf-2.2.0:=
+	dev-qt/qtcore:5
+	dev-qt/qtnetwork:5[ssl]
+	|| (
+		dev-qt/qtsql:5[sqlite]
+		dev-qt/qtsql:5[mysql]
+	)
+	dev-qt/qtxml:5
+	sys-apps/lsb-release
+	>=sys-libs/libcap-2.15
+	dbus? ( dev-qt/qtdbus:5 )
+	grpc? ( net-libs/grpc )
+	ice? ( dev-libs/Ice:= )
+	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+"
+
+DEPEND="${RDEPEND}
+	dev-libs/boost
+	dev-qt/qttest:5
+"
+BDEPEND="
+	acct-group/murmur
+	acct-user/murmur
+	virtual/pkgconfig
+"
+
+if [[ "${PV}" == *9999 ]] ; then
+	# Required for the mkini.sh script which calls perl multiple times
+	BDEPEND+="
+		dev-lang/perl
+	"
+fi
+
+DOC_CONTENTS="
+	Useful scripts are located in /usr/share/doc/${PF}/scripts.
+	The defualt 'SuperUser' password will be written into the log file
+	when starting murmur for the first time.
+	If you want to set it yourself, please execute:
+	su murmur -s /bin/bash -c 'mumble-server -ini /etc/murmur/murmur.ini -supw <pw>'
+	to set the build-in 'SuperUser' password before starting murmur.
+	Please restart dbus before starting murmur, or else dbus
+	registration will fail.
+"
+
+PATCHES=(
+	"${WORKDIR}/mumble-1.4-openssl3.patch"
+	"${WORKDIR}/mumble-1.4-crypto-threads.patch"
+	"${WORKDIR}/mumble-1.4-odr.patch"
+)
+
+src_prepare() {
+	if [[ "${PV}" == *9999 ]] ; then
+		pushd scripts &>/dev/null || die
+		./mkini.sh || die
+		popd &>/dev/null || die
+	fi
+
+	# Change dbus user from mumble-server to murmur
+	sed \
+		-e 's:mumble-server:murmur:g' \
+		-i "${S}"/scripts/murmur.conf || die
+
+	# Adjust default server settings to be correct for our default setup
+	sed \
+		-e 's:database=:database=/var/lib/murmur/database.sqlite:' \
+		-e 's:;logfile=murmur.log:logfile=/var/log/murmur/murmur.log:' \
+		-e 's:;pidfile=:pidfile=/run/murmur/murmur.pid:' \
+		-i "${S}"/scripts/murmur.ini || die
+
+	# Adjust systemd service file to our config location #689208
+	sed \
+		-e "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
+		-e "s@murmurd@mumble-server@" \
+		-i scripts/${PN}.service || die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	myuse() {
+		[[ -n "${1}" ]] || die "myconf: No use flag given."
+		use ${1} || echo "no-${1}"
+	}
+	local mycmakeargs=(
+		-DBUILD_TESTING="$(usex test)"
+		-Dclient="OFF"
+		-Ddbus="$(usex dbus)"
+		-Dg15="OFF"
+		-Dgrpc="$(usex grpc)"
+		-Dice="$(usex ice)"
+		-Doverlay="OFF"
+		-Dserver="ON"
+		-Dzeroconf="$(usex zeroconf)"
+	)
+	if [[ "${PV}" != 9999 ]] ; then
+		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
+	fi
+
+	# https://bugs.gentoo.org/832978
+	# fix tests (and possibly runtime issues) on arches with unsigned chars
+	append-cxxflags -fsigned-char
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	dodoc README.md CHANGES
+
+	docinto scripts
+	dodoc -r scripts/server
+	docompress -x /usr/share/doc/${PF}/scripts
+
+	local etcdir="/etc/murmur"
+	insinto ${etcdir}
+	doins scripts/${PN}.ini
+
+	insinto /etc/logrotate.d/
+	newins "${FILESDIR}"/murmur.logrotate murmur
+
+	insinto /etc/dbus-1/system.d/
+	doins scripts/murmur.conf
+
+	insinto /usr/share/murmur/
+	doins src/murmur/Murmur.ice
+
+	# Copy over the initd file so we can modify it incase zeroconf support is on.
+	cp "${FILESDIR}"/murmur.initd-r2 "${T}"/murmur.initd
+
+	if use zeroconf; then
+		sed -e 's:need:need avahi-daemon:' -i "${T}"/murmur.initd || die
+	fi
+
+	newinitd "${T}"/murmur.initd murmur
+	newconfd "${FILESDIR}"/murmur.confd murmur
+
+	systemd_dounit scripts/${PN}.service
+	newtmpfiles "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
+
+	keepdir /var/lib/murmur /var/log/murmur
+	fowners -R murmur /var/lib/murmur /var/log/murmur
+	fperms 750 /var/lib/murmur /var/log/murmur
+
+	# Fix permissions on config file as it might contain passwords.
+	# (bug #559362)
+	fowners root:murmur ${etcdir}/murmur.ini
+	fperms 640 ${etcdir}/murmur.ini
+
+	doman man/mumble-server.1
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	tmpfiles_process ${PN}.conf
+	readme.gentoo_print_elog
+}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2024-03-07 15:54 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2024-03-07 15:54 UTC (permalink / raw
  To: gentoo-commits

commit:     c8dced7f7e0dd36a09ed44d30dbbf807d62b8252
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  7 15:51:51 2024 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Thu Mar  7 15:51:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8dced7f

net-voip/murmur: drop 1.4.287-r1

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-1.4.287-r1.ebuild | 185 -------------------------------
 1 file changed, 185 deletions(-)

diff --git a/net-voip/murmur/murmur-1.4.287-r1.ebuild b/net-voip/murmur/murmur-1.4.287-r1.ebuild
deleted file mode 100644
index da97454719ad..000000000000
--- a/net-voip/murmur/murmur-1.4.287-r1.ebuild
+++ /dev/null
@@ -1,185 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
-
-DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
-HOMEPAGE="https://wiki.mumble.info"
-if [[ "${PV}" == 9999 ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
-	EGIT_SUBMODULES=( '-*' )
-else
-	MY_PN="mumble"
-	if [[ "${PV}" == *_pre* ]] ; then
-		MY_P="${MY_PN}-${PV}"
-		SRC_URI="https://dev.gentoo.org/~concord/distfiles/${MY_P}.tar.xz"
-		S="${WORKDIR}/${MY_P}"
-	else
-		MY_PV="${PV/_/-}"
-		MY_P="${MY_PN}-${MY_PV}"
-		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz
-			https://dl.mumble.info/${MY_P}.tar.gz"
-		S="${WORKDIR}/${MY_P}.src"
-	fi
-	KEYWORDS="amd64 ~arm ~arm64 x86"
-fi
-
-SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-openssl3.patch.xz"
-SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-crypto-threads.patch.xz"
-SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-odr.patch.xz"
-
-LICENSE="BSD"
-SLOT="0"
-IUSE="+dbus grpc +ice test zeroconf"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	>=dev-libs/openssl-1.0.0b:0=
-	>=dev-libs/protobuf-2.2.0:=
-	dev-qt/qtcore:5
-	dev-qt/qtnetwork:5[ssl]
-	|| (
-		dev-qt/qtsql:5[sqlite]
-		dev-qt/qtsql:5[mysql]
-	)
-	dev-qt/qtxml:5
-	sys-apps/lsb-release
-	>=sys-libs/libcap-2.15
-	dbus? ( dev-qt/qtdbus:5 )
-	grpc? ( net-libs/grpc )
-	ice? ( dev-libs/Ice:= )
-	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
-"
-
-DEPEND="${RDEPEND}
-	dev-libs/boost
-	dev-qt/qttest:5
-"
-BDEPEND="
-	acct-group/murmur
-	acct-user/murmur
-	virtual/pkgconfig
-"
-
-if [[ "${PV}" == *9999 ]] ; then
-	# Required for the mkini.sh script which calls perl multiple times
-	BDEPEND+="
-		dev-lang/perl
-	"
-fi
-
-DOC_CONTENTS="
-	Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
-	Please execute:\n
-	murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
-	chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
-	to set the build-in 'SuperUser' password before starting murmur.
-	Please restart dbus before starting murmur, or else dbus
-	registration will fail.
-"
-
-PATCHES=(
-	"${WORKDIR}/mumble-1.4-openssl3.patch"
-	"${WORKDIR}/mumble-1.4-crypto-threads.patch"
-	"${WORKDIR}/mumble-1.4-odr.patch"
-)
-
-src_prepare() {
-	if [[ "${PV}" == *9999 ]] ; then
-		pushd scripts &>/dev/null || die
-		./mkini.sh || die
-		popd &>/dev/null || die
-	fi
-
-	sed \
-		-e 's:mumble-server:murmur:g' \
-		-e 's:/var/run:/run:g' \
-		-i "${S}"/scripts/murmur.{conf,ini} || die
-
-	# Adjust systemd service file to our config location #689208
-	sed \
-		-e "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
-		-e "s@murmurd@mumble-server@" \
-		-i scripts/${PN}.service || die
-
-	cmake_src_prepare
-}
-
-src_configure() {
-	myuse() {
-		[[ -n "${1}" ]] || die "myconf: No use flag given."
-		use ${1} || echo "no-${1}"
-	}
-	local mycmakeargs=(
-		-DBUILD_TESTING="$(usex test)"
-		-Dclient="OFF"
-		-Ddbus="$(usex dbus)"
-		-Dg15="OFF"
-		-Dgrpc="$(usex grpc)"
-		-Dice="$(usex ice)"
-		-Doverlay="OFF"
-		-Dserver="ON"
-		-Dzeroconf="$(usex zeroconf)"
-	)
-	if [[ "${PV}" != 9999 ]] ; then
-		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
-	fi
-
-	# https://bugs.gentoo.org/832978
-	# fix tests (and possibly runtime issues) on arches with unsigned chars
-	append-cxxflags -fsigned-char
-
-	cmake_src_configure
-}
-
-src_install() {
-	cmake_src_install
-
-	dodoc README.md CHANGES
-
-	docinto scripts
-	dodoc -r scripts/server
-	docompress -x /usr/share/doc/${PF}/scripts
-
-	local etcdir="/etc/murmur"
-	insinto ${etcdir}
-	doins scripts/${PN}.ini
-
-	insinto /etc/logrotate.d/
-	newins "${FILESDIR}"/murmur.logrotate murmur
-
-	insinto /etc/dbus-1/system.d/
-	doins scripts/murmur.conf
-
-	insinto /usr/share/murmur/
-	doins src/murmur/Murmur.ice
-
-	newinitd "${FILESDIR}"/murmur.initd-r2 murmur
-	newconfd "${FILESDIR}"/murmur.confd murmur
-
-	systemd_dounit scripts/${PN}.service
-	newtmpfiles "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
-
-	keepdir /var/lib/murmur /var/log/murmur
-	fowners -R murmur /var/lib/murmur /var/log/murmur
-	fperms 750 /var/lib/murmur /var/log/murmur
-
-	# Fix permissions on config file as it might contain passwords.
-	# (bug #559362)
-	fowners root:murmur ${etcdir}/murmur.ini
-	fperms 640 ${etcdir}/murmur.ini
-
-	doman man/mumble-server.1
-
-	readme.gentoo_create_doc
-}
-
-pkg_postinst() {
-	tmpfiles_process ${PN}.conf
-	readme.gentoo_print_elog
-}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2024-03-07 15:54 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2024-03-07 15:54 UTC (permalink / raw
  To: gentoo-commits

commit:     155e07eaaf58d16fd212a0b973d82c73f44f595e
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  7 15:50:39 2024 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Thu Mar  7 15:50:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=155e07ea

net-voip/murmur: stabilize 1.4.287-r2 for amd64, x86

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-1.4.287-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-1.4.287-r2.ebuild b/net-voip/murmur/murmur-1.4.287-r2.ebuild
index f439f3c88309..61f7d8175087 100644
--- a/net-voip/murmur/murmur-1.4.287-r2.ebuild
+++ b/net-voip/murmur/murmur-1.4.287-r2.ebuild
@@ -24,7 +24,7 @@ else
 			https://dl.mumble.info/${MY_P}.tar.gz"
 		S="${WORKDIR}/${MY_P}.src"
 	fi
-	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+	KEYWORDS="amd64 ~arm ~arm64 x86"
 fi
 
 SRC_URI+=" https://dev.gentoo.org/~concord/distfiles/mumble-1.4-openssl3.patch.xz"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2024-06-08 19:14 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2024-06-08 19:14 UTC (permalink / raw
  To: gentoo-commits

commit:     083e54b61a2dc7172107c5b0ab00c22e100974ad
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  8 19:03:14 2024 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sat Jun  8 19:12:23 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=083e54b6

net-voip/murmur: update live ebuild

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/Manifest           |  1 +
 net-voip/murmur/murmur-9999.ebuild | 21 +++++++++++----------
 2 files changed, 12 insertions(+), 10 deletions(-)

diff --git a/net-voip/murmur/Manifest b/net-voip/murmur/Manifest
index e3a09445c321..a47bcf364138 100644
--- a/net-voip/murmur/Manifest
+++ b/net-voip/murmur/Manifest
@@ -2,3 +2,4 @@ DIST mumble-1.4-crypto-threads.patch.xz 1472 BLAKE2B 18f64d7b63a5ac253792e31fe27
 DIST mumble-1.4-odr.patch.xz 1088 BLAKE2B 48a7b04ef31f7d0f4cc7e5632ba8f328e5a7fa6961cd971b66a761366351a9a99e3cecce911c90701688083e03f2b63e6838083a8ab669f86fe0fecf23a8596d SHA512 600807cbd893f585c621e7267ee16e2828428fff17aa7eb36b8595164356ef73be2765a41ff9cd7c549c11a63abbf593b0172e56e07571e1c0a3c86fd14e5f15
 DIST mumble-1.4-openssl3.patch.xz 4172 BLAKE2B 5b68f023e218628a4d73b0991dcc7790ce5f92ce6a27c372c5e80b1f3a8beafa3ddd6416b884705b321aee31ea4f5e09dda6ceb240272dde64f420fbeb06845a SHA512 3a4e504f3365e93418cb85d0da4e6f2f54ab904283743907604bb39276560a4215d9bea1b225601789d1c3d84d270c04840ec57cd04e3df1204cc586ea42562a
 DIST mumble-1.4.287.tar.gz 9457292 BLAKE2B 5fc89c184aa54ab8269870fd87b6c9ce271d77c05a6ecb2aa78eccf297ffb842a50a18a142ac628c1b287a2b5e6c0ae0dced3237242303840a4de05b7f3e7040 SHA512 34ed30c18257ba8deae6938009a90147c8bc3a0aca28e69bea7ec0262e8d2cdacb9a840fac7d3dd623a52ef8d5903ed5424b62b483af21d6df6aa9632eae9d82
+DIST mumble-1.5.634.tar.gz 26001230 BLAKE2B ebd1e3569dd7311d704dbb83ff0ef15875dfaba7a7ba357e3be88800544d4d2217e19a15c0df778deec5a701ddc3692ca3f053651dec1eb1525b7963107ae76e SHA512 5fa9479dd836b87cb84fb6c067019f75aac335aa201baa34939f1c73dd7c67279aed6079aecdab74a14cb6c285b69cb82798de8801b2140ccf99c764b3a84b59

diff --git a/net-voip/murmur/murmur-9999.ebuild b/net-voip/murmur/murmur-9999.ebuild
index b5d57c5bea38..93abe94c1455 100644
--- a/net-voip/murmur/murmur-9999.ebuild
+++ b/net-voip/murmur/murmur-9999.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
 
@@ -17,10 +17,8 @@ if [[ "${PV}" == 9999 ]] ; then
 		'-*'
 		3rdparty/cmake-compiler-flags
 		3rdparty/FindPythonInterpreter
-		3rdparty/gsl
+		3rdparty/flag-icons
 		3rdparty/minhook
-		3rdparty/opus
-		3rdparty/rnnoise-src
 		3rdparty/speexdsp
 		3rdparty/tracy
 	)
@@ -33,11 +31,10 @@ else
 	else
 		MY_PV="${PV/_/-}"
 		MY_P="${MY_PN}-${MY_PV}"
-		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/${MY_PV}/${MY_P}.tar.gz
-			https://dl.mumble.info/${MY_P}.tar.gz"
-		S="${WORKDIR}/${MY_PN}-${PV/_*}.src"
+		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz"
+		S="${WORKDIR}/${MY_PN}-${PV/_*}"
 	fi
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
 fi
 
 LICENSE="BSD"
@@ -48,6 +45,7 @@ RESTRICT="!test? ( test )"
 RDEPEND="
 	acct-group/murmur
 	acct-user/murmur
+	dev-cpp/ms-gsl
 	>=dev-libs/openssl-1.0.0b:0=
 	>=dev-libs/protobuf-2.2.0:=
 	dev-qt/qtcore:5
@@ -102,11 +100,10 @@ src_prepare() {
 src_configure() {
 	local mycmakeargs=(
 		-DBUILD_TESTING="$(usex test)"
+		-Dbundled-gsl="OFF"
 		-Dclient="OFF"
-		-Dg15="OFF"
 		-Dice="$(usex ice)"
 		-DMUMBLE_INSTALL_SYSCONFDIR="/etc/murmur"
-		-Doverlay="OFF"
 		-Dserver="ON"
 		-DMUMBLE_INSTALL_SERVICEFILEDIR=$(systemd_get_systemunitdir)
 		-DMUMBLE_INSTALL_SYSUSERSDIR=$(systemd_get_userunitdir)
@@ -146,6 +143,10 @@ src_install() {
 	fowners -R murmur /var/lib/murmur /var/log/murmur
 	fperms 750 /var/lib/murmur /var/log/murmur
 
+	mv "${ED}"/etc/murmur/mumble-server.ini "${ED}"/etc/murmur/murmur.ini || die
+	mv "${ED}"/usr/lib/systemd/system/mumble-server.service "${ED}"/usr/lib/systemd/system/murmur.service || die
+	sed -ie 's|mumble-server\.ini|murmur.ini|' "${ED}"/usr/lib/systemd/system/murmur.service || die
+
 	readme.gentoo_create_doc
 }
 


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2024-06-08 19:14 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2024-06-08 19:14 UTC (permalink / raw
  To: gentoo-commits

commit:     31bb78f3483a2fdf9c9c116c8ba5f3f017a92093
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  8 19:03:27 2024 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sat Jun  8 19:12:33 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31bb78f3

net-voip/murmur: add 1.5.634

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-1.5.634.ebuild | 161 ++++++++++++++++++++++++++++++++++
 1 file changed, 161 insertions(+)

diff --git a/net-voip/murmur/murmur-1.5.634.ebuild b/net-voip/murmur/murmur-1.5.634.ebuild
new file mode 100644
index 000000000000..93abe94c1455
--- /dev/null
+++ b/net-voip/murmur/murmur-1.5.634.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic systemd readme.gentoo-r1 tmpfiles
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="https://wiki.mumble.info"
+if [[ "${PV}" == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
+
+	# needed for the included 3rdparty license script,
+	# even if these components may not be compiled in
+	EGIT_SUBMODULES=(
+		'-*'
+		3rdparty/cmake-compiler-flags
+		3rdparty/FindPythonInterpreter
+		3rdparty/flag-icons
+		3rdparty/minhook
+		3rdparty/speexdsp
+		3rdparty/tracy
+	)
+else
+	MY_PN="mumble"
+	if [[ "${PV}" == *_pre* ]] ; then
+		MY_P="${MY_PN}-${PV}"
+		SRC_URI="https://dev.gentoo.org/~concord/distfiles/${MY_P}.tar.xz"
+		S="${WORKDIR}/${MY_P}"
+	else
+		MY_PV="${PV/_/-}"
+		MY_P="${MY_PN}-${MY_PV}"
+		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz"
+		S="${WORKDIR}/${MY_PN}-${PV/_*}"
+	fi
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="+ice test zeroconf"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	acct-group/murmur
+	acct-user/murmur
+	dev-cpp/ms-gsl
+	>=dev-libs/openssl-1.0.0b:0=
+	>=dev-libs/protobuf-2.2.0:=
+	dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtnetwork:5[ssl]
+	|| (
+		dev-qt/qtsql:5[sqlite]
+		dev-qt/qtsql:5[mysql]
+	)
+	dev-qt/qtxml:5
+	sys-apps/lsb-release
+	>=sys-libs/libcap-2.15
+	ice? ( dev-libs/Ice:= )
+	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+"
+
+DEPEND="${RDEPEND}
+	dev-libs/boost
+	dev-qt/qttest:5
+"
+BDEPEND="
+	acct-group/murmur
+	acct-user/murmur
+	virtual/pkgconfig
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+The default 'SuperUser' password will be written into the log file
+when starting murmur for the first time.
+
+If you want to manually set a password yourself, please execute:
+su murmur -s /bin/bash -c 'mumble-server -ini /etc/murmur/mumble-server.ini -supw <pw>'
+
+This will set the built-in 'SuperUser' password to '<pw>' when starting murmur.
+"
+
+src_prepare() {
+	# Adjust default server settings to be correct for our default setup
+	sed \
+		-e 's:database=:database=/var/lib/murmur/database.sqlite:' \
+		-e 's:;logfile=mumble-server.log:logfile=/var/log/murmur/murmur.log:' \
+		-e 's:;pidfile=:pidfile=/run/murmur/murmur.pid:' \
+		-i auxiliary_files/mumble-server.ini || die
+
+	# Replace the default group and user _mumble-server with murmur
+	grep -r -l _mumble-server auxiliary_files/ | xargs sed -i 's/_mumble-server/murmur/g' || die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_TESTING="$(usex test)"
+		-Dbundled-gsl="OFF"
+		-Dclient="OFF"
+		-Dice="$(usex ice)"
+		-DMUMBLE_INSTALL_SYSCONFDIR="/etc/murmur"
+		-Dserver="ON"
+		-DMUMBLE_INSTALL_SERVICEFILEDIR=$(systemd_get_systemunitdir)
+		-DMUMBLE_INSTALL_SYSUSERSDIR=$(systemd_get_userunitdir)
+		-DMUMBLE_INSTALL_TMPFILESDIR="/usr/lib/tmpfiles.d"
+		-Dzeroconf="$(usex zeroconf)"
+	)
+	if [[ "${PV}" != 9999 ]] ; then
+		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
+	fi
+
+	# https://bugs.gentoo.org/832978
+	# fix tests (and possibly runtime issues) on arches with unsigned chars
+	append-cxxflags -fsigned-char
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	dodoc README.md
+
+	insinto /etc/logrotate.d/
+	newins "${FILESDIR}"/murmur.logrotate murmur
+
+	# Copy over the initd file so we can modify it incase zeroconf support is on.
+	cp "${FILESDIR}"/murmur.initd-r2 "${T}"/murmur.initd || die
+
+	if use zeroconf; then
+		sed -e 's:need:need avahi-daemon:' -i "${T}"/murmur.initd || die
+	fi
+
+	newinitd "${T}"/murmur.initd murmur
+	newconfd "${FILESDIR}"/murmur.confd-r2 murmur
+
+	keepdir /var/lib/murmur /var/log/murmur
+	fowners -R murmur /var/lib/murmur /var/log/murmur
+	fperms 750 /var/lib/murmur /var/log/murmur
+
+	mv "${ED}"/etc/murmur/mumble-server.ini "${ED}"/etc/murmur/murmur.ini || die
+	mv "${ED}"/usr/lib/systemd/system/mumble-server.service "${ED}"/usr/lib/systemd/system/murmur.service || die
+	sed -ie 's|mumble-server\.ini|murmur.ini|' "${ED}"/usr/lib/systemd/system/murmur.service || die
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	tmpfiles_process mumble-server.conf
+	readme.gentoo_print_elog
+
+	if use zeroconf; then
+		elog "To turn on the zeroconf functionality, you need to uncomment and"
+		elog "change the 'bonjour=false' setting in mumble-server.ini to 'true'"
+	fi
+}


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2024-06-09 16:36 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2024-06-09 16:36 UTC (permalink / raw
  To: gentoo-commits

commit:     4f9b82151f9db60951268508ee4986d21bcebe18
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  9 16:32:51 2024 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sun Jun  9 16:35:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f9b8215

net-voip/murmur: fix split-usr handling of systemd unit rename

Closes: https://bugs.gentoo.org/933856
Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-1.5.634.ebuild | 5 +++--
 net-voip/murmur/murmur-9999.ebuild    | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/net-voip/murmur/murmur-1.5.634.ebuild b/net-voip/murmur/murmur-1.5.634.ebuild
index 93abe94c1455..be38ba9a0de5 100644
--- a/net-voip/murmur/murmur-1.5.634.ebuild
+++ b/net-voip/murmur/murmur-1.5.634.ebuild
@@ -144,8 +144,9 @@ src_install() {
 	fperms 750 /var/lib/murmur /var/log/murmur
 
 	mv "${ED}"/etc/murmur/mumble-server.ini "${ED}"/etc/murmur/murmur.ini || die
-	mv "${ED}"/usr/lib/systemd/system/mumble-server.service "${ED}"/usr/lib/systemd/system/murmur.service || die
-	sed -ie 's|mumble-server\.ini|murmur.ini|' "${ED}"/usr/lib/systemd/system/murmur.service || die
+	mv "${D}/$(systemd_get_systemunitdir)/mumble-server.service" \
+		"${D}/$(systemd_get_systemunitdir)/murmur.service" || die
+	sed -i 's|mumble-server\.ini|murmur.ini|' "${D}/$(systemd_get_systemunitdir)/murmur.service" || die
 
 	readme.gentoo_create_doc
 }

diff --git a/net-voip/murmur/murmur-9999.ebuild b/net-voip/murmur/murmur-9999.ebuild
index 93abe94c1455..be38ba9a0de5 100644
--- a/net-voip/murmur/murmur-9999.ebuild
+++ b/net-voip/murmur/murmur-9999.ebuild
@@ -144,8 +144,9 @@ src_install() {
 	fperms 750 /var/lib/murmur /var/log/murmur
 
 	mv "${ED}"/etc/murmur/mumble-server.ini "${ED}"/etc/murmur/murmur.ini || die
-	mv "${ED}"/usr/lib/systemd/system/mumble-server.service "${ED}"/usr/lib/systemd/system/murmur.service || die
-	sed -ie 's|mumble-server\.ini|murmur.ini|' "${ED}"/usr/lib/systemd/system/murmur.service || die
+	mv "${D}/$(systemd_get_systemunitdir)/mumble-server.service" \
+		"${D}/$(systemd_get_systemunitdir)/murmur.service" || die
+	sed -i 's|mumble-server\.ini|murmur.ini|' "${D}/$(systemd_get_systemunitdir)/murmur.service" || die
 
 	readme.gentoo_create_doc
 }


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2024-06-10 14:36 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2024-06-10 14:36 UTC (permalink / raw
  To: gentoo-commits

commit:     855d7c87baa70cab57d634f459f97cf589e2f529
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 10 14:35:26 2024 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Mon Jun 10 14:35:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=855d7c87

net-voip/murmur: avoid -Werror during build

Closes: https://bugs.gentoo.org/933876
Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-1.5.634.ebuild | 1 +
 net-voip/murmur/murmur-9999.ebuild    | 1 +
 2 files changed, 2 insertions(+)

diff --git a/net-voip/murmur/murmur-1.5.634.ebuild b/net-voip/murmur/murmur-1.5.634.ebuild
index be38ba9a0de5..10ef9e24681e 100644
--- a/net-voip/murmur/murmur-1.5.634.ebuild
+++ b/net-voip/murmur/murmur-1.5.634.ebuild
@@ -108,6 +108,7 @@ src_configure() {
 		-DMUMBLE_INSTALL_SERVICEFILEDIR=$(systemd_get_systemunitdir)
 		-DMUMBLE_INSTALL_SYSUSERSDIR=$(systemd_get_userunitdir)
 		-DMUMBLE_INSTALL_TMPFILESDIR="/usr/lib/tmpfiles.d"
+		-Dwarnings-as-errors="OFF"
 		-Dzeroconf="$(usex zeroconf)"
 	)
 	if [[ "${PV}" != 9999 ]] ; then

diff --git a/net-voip/murmur/murmur-9999.ebuild b/net-voip/murmur/murmur-9999.ebuild
index be38ba9a0de5..10ef9e24681e 100644
--- a/net-voip/murmur/murmur-9999.ebuild
+++ b/net-voip/murmur/murmur-9999.ebuild
@@ -108,6 +108,7 @@ src_configure() {
 		-DMUMBLE_INSTALL_SERVICEFILEDIR=$(systemd_get_systemunitdir)
 		-DMUMBLE_INSTALL_SYSUSERSDIR=$(systemd_get_userunitdir)
 		-DMUMBLE_INSTALL_TMPFILESDIR="/usr/lib/tmpfiles.d"
+		-Dwarnings-as-errors="OFF"
 		-Dzeroconf="$(usex zeroconf)"
 	)
 	if [[ "${PV}" != 9999 ]] ; then


^ permalink raw reply related	[flat|nested] 28+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/
@ 2024-08-05 14:31 Kenton Groombridge
  0 siblings, 0 replies; 28+ messages in thread
From: Kenton Groombridge @ 2024-08-05 14:31 UTC (permalink / raw
  To: gentoo-commits

commit:     346f6b04a94b8469eab1bd015544a1f6b4cb4e97
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  5 14:30:12 2024 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Mon Aug  5 14:31:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=346f6b04

net-voip/murmur: stabilize 1.5.634 for amd64, x86

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/murmur/murmur-1.5.634.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-voip/murmur/murmur-1.5.634.ebuild b/net-voip/murmur/murmur-1.5.634.ebuild
index 10ef9e24681e..2162f57c5ffd 100644
--- a/net-voip/murmur/murmur-1.5.634.ebuild
+++ b/net-voip/murmur/murmur-1.5.634.ebuild
@@ -34,7 +34,7 @@ else
 		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz"
 		S="${WORKDIR}/${MY_PN}-${PV/_*}"
 	fi
-	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+	KEYWORDS="amd64 ~arm ~arm64 x86"
 fi
 
 LICENSE="BSD"


^ permalink raw reply related	[flat|nested] 28+ messages in thread

end of thread, other threads:[~2024-08-05 14:31 UTC | newest]

Thread overview: 28+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-12-07 18:34 [gentoo-commits] repo/gentoo:master commit in: net-voip/murmur/ Kenton Groombridge
  -- strict thread matches above, loose matches on Subject: below --
2024-08-05 14:31 Kenton Groombridge
2024-06-10 14:36 Kenton Groombridge
2024-06-09 16:36 Kenton Groombridge
2024-06-08 19:14 Kenton Groombridge
2024-06-08 19:14 Kenton Groombridge
2024-03-07 15:54 Kenton Groombridge
2024-03-07 15:54 Kenton Groombridge
2024-02-09 14:41 Kenton Groombridge
2023-08-14 22:50 Kenton Groombridge
2022-12-26  1:10 Kenton Groombridge
2022-12-07 18:34 Kenton Groombridge
2022-10-27 23:46 Sam James
2022-10-20 10:52 Jakov Smolić
2022-09-17 16:47 Kenton Groombridge
2022-09-14 17:01 Kenton Groombridge
2022-09-04 13:03 David Seifert
2022-09-04 10:51 Agostino Sarubbo
2022-08-31 19:22 Jakov Smolić
2022-08-31 14:52 Kenton Groombridge
2022-08-31 14:52 Kenton Groombridge
2022-08-31 14:52 Kenton Groombridge
2022-08-21 21:07 Kenton Groombridge
2022-08-18 16:45 Arthur Zamarin
2022-08-17 21:13 Sam James
2022-07-03 19:18 Kenton Groombridge
2022-07-03 19:18 Kenton Groombridge
2022-07-03 19:18 Kenton Groombridge

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox